import { Buff, Bytes } from '@cmdcode/buff-utils';
import { Field } from './ecc.js';
import { verify } from './sig.js';
import { SharedConfig, SignerConfig, SignerState } from './config.js';
export declare class Signer {
    static random: typeof Buff.random;
    static verify: typeof verify;
    readonly _secret: Field;
    readonly _state: SignerState;
    constructor(secret: Bytes, config?: SignerConfig);
    get pubkey(): string;
    get xonly(): boolean;
    getSharedKey(pubkey: Bytes): string;
    getSharedCode(pubkey: Bytes, config?: SharedConfig): string;
    hmac(msg: Bytes): string;
    musign(challenge: Bytes, nonces: Bytes[], vectors: [key_vec: Bytes, nonce_vec: Bytes]): string;
    sign(message: Bytes, config?: SignerConfig): string;
    recover(signature: Bytes, message: Bytes, pubkey: Bytes): Buff;
}
//# sourceMappingURL=signer.d.ts.map