var crypto_utils=function(t){"use strict";function e(t){if(!Number.isSafeInteger(t)||t<0)throw new Error(`Wrong positive integer: ${t}`)}function n(t,...e){if(!(t instanceof Uint8Array))throw new TypeError("Expected Uint8Array");if(e.length>0&&!e.includes(t.length))throw new TypeError(`Expected Uint8Array of length ${e}, not of length=${t.length}`)}const r={number:e,bool:function(t){if("boolean"!=typeof t)throw new Error(`Expected boolean, not ${t}`)},bytes:n,hash:function(t){if("function"!=typeof t||"function"!=typeof t.create)throw new Error("Hash should be wrapped by utils.wrapConstructor");e(t.outputLen),e(t.blockLen)},exists:function(t,e=!0){if(t.destroyed)throw new Error("Hash instance has been destroyed");if(e&&t.finished)throw new Error("Hash#digest() has already been called")},output:function(t,e){n(t);const r=e.outputLen;if(t.length<r)throw new Error(`digestInto() expects output buffer of length at least ${r}`)}};var i=r;const s="object"==typeof globalThis&&"crypto"in globalThis?globalThis.crypto:void 0,o=t=>new DataView(t.buffer,t.byteOffset,t.byteLength),f=(t,e)=>t<<32-e|t>>>e;
/*! noble-hashes - MIT License (c) 2022 Paul Miller (paulmillr.com) */if(!(68===new Uint8Array(new Uint32Array([287454020]).buffer)[0]))throw new Error("Non little-endian hardware is not supported");function a(t){if("string"==typeof t&&(t=function(t){if("string"!=typeof t)throw new TypeError("utf8ToBytes expected string, got "+typeof t);return(new TextEncoder).encode(t)}(t)),!(t instanceof Uint8Array))throw new TypeError(`Expected input type is Uint8Array (got ${typeof t})`);return t}Array.from({length:256},((t,e)=>e.toString(16).padStart(2,"0")));let h=class{clone(){return this._cloneInto()}};function c(t){const e=e=>t().update(a(e)).digest(),n=t();return e.outputLen=n.outputLen,e.blockLen=n.blockLen,e.create=()=>t(),e}function u(t=32){if(s&&"function"==typeof s.getRandomValues)return s.getRandomValues(new Uint8Array(t));throw new Error("crypto.getRandomValues must be defined")}let l=class extends h{constructor(t,e,n,r){super(),this.blockLen=t,this.outputLen=e,this.padOffset=n,this.isLE=r,this.finished=!1,this.length=0,this.pos=0,this.destroyed=!1,this.buffer=new Uint8Array(t),this.view=o(this.buffer)}update(t){i.exists(this);const{view:e,buffer:n,blockLen:r}=this,s=(t=a(t)).length;for(let i=0;i<s;){const f=Math.min(r-this.pos,s-i);if(f!==r)n.set(t.subarray(i,i+f),this.pos),this.pos+=f,i+=f,this.pos===r&&(this.process(e,0),this.pos=0);else{const e=o(t);for(;r<=s-i;i+=r)this.process(e,i)}}return this.length+=t.length,this.roundClean(),this}digestInto(t){i.exists(this),i.output(t,this),this.finished=!0;const{buffer:e,view:n,blockLen:r,isLE:s}=this;let{pos:f}=this;e[f++]=128,this.buffer.subarray(f).fill(0),this.padOffset>r-f&&(this.process(n,0),f=0);for(let t=f;t<r;t++)e[t]=0;!function(t,e,n,r){if("function"==typeof t.setBigUint64)return t.setBigUint64(e,n,r);const i=BigInt(32),s=BigInt(4294967295),o=Number(n>>i&s),f=Number(n&s),a=r?4:0,h=r?0:4;t.setUint32(e+a,o,r),t.setUint32(e+h,f,r)}(n,r-8,BigInt(8*this.length),s),this.process(n,0);const a=o(t),h=this.outputLen;if(h%4)throw new Error("_sha2: outputLen should be aligned to 32bit");const c=h/4,u=this.get();if(c>u.length)throw new Error("_sha2: outputLen bigger than state");for(let t=0;t<c;t++)a.setUint32(4*t,u[t],s)}digest(){const{buffer:t,outputLen:e}=this;this.digestInto(t);const n=t.slice(0,e);return this.destroy(),n}_cloneInto(t){t||(t=new this.constructor),t.set(...this.get());const{blockLen:e,buffer:n,length:r,finished:i,destroyed:s,pos:o}=this;return t.length=r,t.pos=o,t.finished=i,t.destroyed=s,r%e&&t.buffer.set(n),t}};const d=(t,e,n)=>t&e^t&n^e&n,g=new Uint32Array([1116352408,1899447441,3049323471,3921009573,961987163,1508970993,2453635748,2870763221,3624381080,310598401,607225278,1426881987,1925078388,2162078206,2614888103,3248222580,3835390401,4022224774,264347078,604807628,770255983,1249150122,1555081692,1996064986,2554220882,2821834349,2952996808,3210313671,3336571891,3584528711,113926993,338241895,666307205,773529912,1294757372,1396182291,1695183700,1986661051,2177026350,2456956037,2730485921,2820302411,3259730800,3345764771,3516065817,3600352804,4094571909,275423344,430227734,506948616,659060556,883997877,958139571,1322822218,1537002063,1747873779,1955562222,2024104815,2227730452,2361852424,2428436474,2756734187,3204031479,3329325298]),p=new Uint32Array([1779033703,3144134277,1013904242,2773480762,1359893119,2600822924,528734635,1541459225]),b=new Uint32Array(64);let w=class extends l{constructor(){super(64,32,8,!1),this.A=0|p[0],this.B=0|p[1],this.C=0|p[2],this.D=0|p[3],this.E=0|p[4],this.F=0|p[5],this.G=0|p[6],this.H=0|p[7]}get(){const{A:t,B:e,C:n,D:r,E:i,F:s,G:o,H:f}=this;return[t,e,n,r,i,s,o,f]}set(t,e,n,r,i,s,o,f){this.A=0|t,this.B=0|e,this.C=0|n,this.D=0|r,this.E=0|i,this.F=0|s,this.G=0|o,this.H=0|f}process(t,e){for(let n=0;n<16;n++,e+=4)b[n]=t.getUint32(e,!1);for(let t=16;t<64;t++){const e=b[t-15],n=b[t-2],r=f(e,7)^f(e,18)^e>>>3,i=f(n,17)^f(n,19)^n>>>10;b[t]=i+b[t-7]+r+b[t-16]|0}let{A:n,B:r,C:i,D:s,E:o,F:a,G:h,H:c}=this;for(let t=0;t<64;t++){const e=c+(f(o,6)^f(o,11)^f(o,25))+((u=o)&a^~u&h)+g[t]+b[t]|0,l=(f(n,2)^f(n,13)^f(n,22))+d(n,r,i)|0;c=h,h=a,a=o,o=s+e|0,s=i,i=r,r=n,n=e+l|0}var u;n=n+this.A|0,r=r+this.B|0,i=i+this.C|0,s=s+this.D|0,o=o+this.E|0,a=a+this.F|0,h=h+this.G|0,c=c+this.H|0,this.set(n,r,i,s,o,a,h,c)}roundClean(){b.fill(0)}destroy(){this.set(0,0,0,0,0,0,0,0),this.buffer.fill(0)}},y=class extends w{constructor(){super(),this.A=-1056596264,this.B=914150663,this.C=812702999,this.D=-150054599,this.E=-4191439,this.F=1750603025,this.G=1694076839,this.H=-1090891868,this.outputLen=28}};const m=c((()=>new w));c((()=>new y));
/*! noble-curves - MIT License (c) 2022 Paul Miller (paulmillr.com) */
const x=BigInt(0),E=BigInt(1),B=BigInt(2),v=t=>t instanceof Uint8Array,A=Array.from({length:256},((t,e)=>e.toString(16).padStart(2,"0")));function I(t){if(!v(t))throw new Error("Uint8Array expected");let e="";for(let n=0;n<t.length;n++)e+=A[t[n]];return e}function S(t){const e=t.toString(16);return 1&e.length?`0${e}`:e}function U(t){if("string"!=typeof t)throw new Error("hex string expected, got "+typeof t);return BigInt(""===t?"0":`0x${t}`)}function L(t){if("string"!=typeof t)throw new Error("hex string expected, got "+typeof t);if(t.length%2)throw new Error("hex string is invalid: unpadded "+t.length);const e=new Uint8Array(t.length/2);for(let n=0;n<e.length;n++){const r=2*n,i=t.slice(r,r+2),s=Number.parseInt(i,16);if(Number.isNaN(s)||s<0)throw new Error("invalid byte sequence");e[n]=s}return e}function H(t){return U(I(t))}function _(t){if(!v(t))throw new Error("Uint8Array expected");return U(I(Uint8Array.from(t).reverse()))}const O=(t,e)=>L(t.toString(16).padStart(2*e,"0")),T=(t,e)=>O(t,e).reverse();function N(t,e,n){let r;if("string"==typeof e)try{r=L(e)}catch(n){throw new Error(`${t} must be valid hex string, got "${e}". Cause: ${n}`)}else{if(!v(e))throw new Error(`${t} must be hex string or Uint8Array`);r=Uint8Array.from(e)}const i=r.length;if("number"==typeof n&&i!==n)throw new Error(`${t} expected ${n} bytes, got ${i}`);return r}function C(...t){const e=new Uint8Array(t.reduce(((t,e)=>t+e.length),0));let n=0;return t.forEach((t=>{if(!v(t))throw new Error("Uint8Array expected");e.set(t,n),n+=t.length})),e}function R(t){if("string"!=typeof t)throw new Error("utf8ToBytes expected string, got "+typeof t);return(new TextEncoder).encode(t)}const k=t=>(B<<BigInt(t-1))-E,$=t=>new Uint8Array(t),F=t=>Uint8Array.from(t);function D(t,e,n){if("number"!=typeof t||t<2)throw new Error("hashLen must be a number");if("number"!=typeof e||e<2)throw new Error("qByteLen must be a number");if("function"!=typeof n)throw new Error("hmacFn must be a function");let r=$(t),i=$(t),s=0;const o=()=>{r.fill(1),i.fill(0),s=0},f=(...t)=>n(i,r,...t),a=(t=$())=>{i=f(F([0]),t),r=f(),0!==t.length&&(i=f(F([1]),t),r=f())},h=()=>{if(s++>=1e3)throw new Error("drbg: tried 1000 values");let t=0;const n=[];for(;t<e;){r=f();const e=r.slice();n.push(e),t+=r.length}return C(...n)};return(t,e)=>{let n;for(o(),a(t);!(n=e(h()));)a();return o(),n}}const q={bigint:t=>"bigint"==typeof t,function:t=>"function"==typeof t,boolean:t=>"boolean"==typeof t,string:t=>"string"==typeof t,isSafeInteger:t=>Number.isSafeInteger(t),array:t=>Array.isArray(t),field:(t,e)=>e.Fp.isValid(t),hash:t=>"function"==typeof t&&Number.isSafeInteger(t.outputLen)};function P(t,e,n={}){const r=(e,n,r)=>{const i=q[n];if("function"!=typeof i)throw new Error(`Invalid validator "${n}", expected function`);const s=t[e];if(!(r&&void 0===s||i(s,t)))throw new Error(`Invalid param ${String(e)}=${s} (${typeof s}), expected ${n}`)};for(const[t,n]of Object.entries(e))r(t,n,!1);for(const[t,e]of Object.entries(n))r(t,e,!0);return t}var z=Object.freeze({__proto__:null,bitGet:(t,e)=>t>>BigInt(e)&1n,bitLen:function(t){let e;for(e=0;t>0n;t>>=E,e+=1);return e},bitMask:k,bitSet:(t,e,n)=>t|(n?E:x)<<BigInt(e),bytesToHex:I,bytesToNumberBE:H,bytesToNumberLE:_,concatBytes:C,createHmacDrbg:D,ensureBytes:N,equalBytes:function(t,e){if(t.length!==e.length)return!1;for(let n=0;n<t.length;n++)if(t[n]!==e[n])return!1;return!0},hexToBytes:L,hexToNumber:U,numberToBytesBE:O,numberToBytesLE:T,numberToHexUnpadded:S,numberToVarBytesBE:t=>L(S(t)),utf8ToBytes:R,validateObject:P});
/*! noble-curves - MIT License (c) 2022 Paul Miller (paulmillr.com) */const V=BigInt(0),j=BigInt(1),G=BigInt(2),Z=BigInt(3),Y=BigInt(4),K=BigInt(5),W=BigInt(8);function M(t,e){const n=t%e;return n>=V?n:e+n}function J(t,e,n){if(n<=V||e<V)throw new Error("Expected power/modulo > 0");if(n===j)return V;let r=j;for(;e>V;)e&j&&(r=r*t%n),t=t*t%n,e>>=j;return r}function X(t,e,n){let r=t;for(;e-- >V;)r*=r,r%=n;return r}function Q(t,e){if(t===V||e<=V)throw new Error(`invert: expected positive integers, got n=${t} mod=${e}`);let n=M(t,e),r=e,i=V,s=j;for(;n!==V;){const t=r%n,e=i-s*(r/n);r=n,n=t,i=s,s=e}if(r!==j)throw new Error("invert: does not exist");return M(i,e)}function tt(t){if(t%Y===Z){const e=(t+j)/Y;return function(t,n){const r=t.pow(n,e);if(!t.eql(t.sqr(r),n))throw new Error("Cannot find square root");return r}}if(t%W===K){const e=(t-K)/W;return function(t,n){const r=t.mul(n,G),i=t.pow(r,e),s=t.mul(n,i),o=t.mul(t.mul(s,G),i),f=t.mul(s,t.sub(o,t.ONE));if(!t.eql(t.sqr(f),n))throw new Error("Cannot find square root");return f}}return function(t){const e=(t-j)/G;let n,r,i;for(n=t-j,r=0;n%G===V;n/=G,r++);for(i=G;i<t&&J(i,e,t)!==t-j;i++);if(1===r){const e=(t+j)/Y;return function(t,n){const r=t.pow(n,e);if(!t.eql(t.sqr(r),n))throw new Error("Cannot find square root");return r}}const s=(n+j)/G;return function(t,o){if(t.pow(o,e)===t.neg(t.ONE))throw new Error("Cannot find square root");let f=r,a=t.pow(t.mul(t.ONE,i),n),h=t.pow(o,s),c=t.pow(o,n);for(;!t.eql(c,t.ONE);){if(t.eql(c,t.ZERO))return t.ZERO;let e=1;for(let n=t.sqr(c);e<f&&!t.eql(n,t.ONE);e++)n=t.sqr(n);const n=t.pow(a,j<<BigInt(f-e-1));a=t.sqr(n),h=t.mul(h,n),c=t.mul(c,a),f=e}return h}}(t)}BigInt(9),BigInt(16);const et=["create","isValid","is0","neg","inv","sqrt","sqr","eql","add","sub","mul","pow","div","addN","subN","mulN","sqrN"];function nt(t){return P(t,et.reduce(((t,e)=>(t[e]="function",t)),{ORDER:"bigint",MASK:"bigint",BYTES:"isSafeInteger",BITS:"isSafeInteger"}))}function rt(t,e){const n=void 0!==e?e:t.toString(2).length;return{nBitLength:n,nByteLength:Math.ceil(n/8)}}function it(t,e,n=!1,r={}){if(t<=V)throw new Error(`Expected Fp ORDER > 0, got ${t}`);const{nBitLength:i,nByteLength:s}=rt(t,e);if(s>2048)throw new Error("Field lengths over 2048 bytes are not supported");const o=tt(t),f=Object.freeze({ORDER:t,BITS:i,BYTES:s,MASK:k(i),ZERO:V,ONE:j,create:e=>M(e,t),isValid:e=>{if("bigint"!=typeof e)throw new Error("Invalid field element: expected bigint, got "+typeof e);return V<=e&&e<t},is0:t=>t===V,isOdd:t=>(t&j)===j,neg:e=>M(-e,t),eql:(t,e)=>t===e,sqr:e=>M(e*e,t),add:(e,n)=>M(e+n,t),sub:(e,n)=>M(e-n,t),mul:(e,n)=>M(e*n,t),pow:(t,e)=>function(t,e,n){if(n<V)throw new Error("Expected power > 0");if(n===V)return t.ONE;if(n===j)return e;let r=t.ONE,i=e;for(;n>V;)n&j&&(r=t.mul(r,i)),i=t.sqr(i),n>>=j;return r}(f,t,e),div:(e,n)=>M(e*Q(n,t),t),sqrN:t=>t*t,addN:(t,e)=>t+e,subN:(t,e)=>t-e,mulN:(t,e)=>t*e,inv:e=>Q(e,t),sqrt:r.sqrt||(t=>o(f,t)),invertBatch:t=>function(t,e){const n=new Array(e.length),r=e.reduce(((e,r,i)=>t.is0(r)?e:(n[i]=e,t.mul(e,r))),t.ONE),i=t.inv(r);return e.reduceRight(((e,r,i)=>t.is0(r)?e:(n[i]=t.mul(e,n[i]),t.mul(e,r))),i),n}(f,t),cmov:(t,e,n)=>n?e:t,toBytes:t=>n?T(t,s):O(t,s),fromBytes:t=>{if(t.length!==s)throw new Error(`Fp.fromBytes: expected ${s}, got ${t.length}`);return n?_(t):H(t)}});return Object.freeze(f)}
/*! noble-curves - MIT License (c) 2022 Paul Miller (paulmillr.com) */
const st=BigInt(0),ot=BigInt(1);function ft(t){return nt(t.Fp),P(t,{n:"bigint",h:"bigint",Gx:"field",Gy:"field"},{nBitLength:"isSafeInteger",nByteLength:"isSafeInteger"}),Object.freeze({...rt(t.n,t.nBitLength),...t,p:t.Fp.ORDER})}
/*! noble-curves - MIT License (c) 2022 Paul Miller (paulmillr.com) */const{bytesToNumberBE:at,hexToBytes:ht}=z,ct={Err:class extends Error{constructor(t=""){super(t)}},_parseInt(t){const{Err:e}=ct;if(t.length<2||2!==t[0])throw new e("Invalid signature integer tag");const n=t[1],r=t.subarray(2,n+2);if(!n||r.length!==n)throw new e("Invalid signature integer: wrong length");if(0===r[0]&&r[1]<=127)throw new e("Invalid signature integer: trailing length");return{d:at(r),l:t.subarray(n+2)}},toSig(t){const{Err:e}=ct,n="string"==typeof t?ht(t):t;if(!(n instanceof Uint8Array))throw new Error("ui8a expected");let r=n.length;if(r<2||48!=n[0])throw new e("Invalid signature tag");if(n[1]!==r-2)throw new e("Invalid signature: incorrect length");const{d:i,l:s}=ct._parseInt(n.subarray(2)),{d:o,l:f}=ct._parseInt(s);if(f.length)throw new e("Invalid signature: left bytes after parsing");return{r:i,s:o}},hexFromSig(t){const e=t=>Number.parseInt(t[0],16)>=8?"00"+t:t,n=t=>{const e=t.toString(16);return 1&e.length?`0${e}`:e},r=e(n(t.s)),i=e(n(t.r)),s=r.length/2,o=i.length/2,f=n(s),a=n(o);return`30${n(o+s+4)}02${a}${i}02${f}${r}`}},ut=BigInt(0),lt=BigInt(1),dt=BigInt(2),gt=BigInt(3),pt=BigInt(4);function bt(t){const e=function(t){const e=ft(t);P(e,{a:"field",b:"field"},{allowedPrivateKeyLengths:"array",wrapPrivateKey:"boolean",isTorsionFree:"function",clearCofactor:"function",allowInfinityPoint:"boolean",fromBytes:"function",toBytes:"function"});const{endo:n,Fp:r,a:i}=e;if(n){if(!r.eql(i,r.ZERO))throw new Error("Endomorphism can only be defined for Koblitz curves that have a=0");if("object"!=typeof n||"bigint"!=typeof n.beta||"function"!=typeof n.splitScalar)throw new Error("Expected endomorphism with beta: bigint and splitScalar: function")}return Object.freeze({...e})}(t),{Fp:n}=e,r=e.toBytes||((t,e,r)=>{const i=e.toAffine();return C(Uint8Array.from([4]),n.toBytes(i.x),n.toBytes(i.y))}),i=e.fromBytes||(t=>{const e=t.subarray(1);return{x:n.fromBytes(e.subarray(0,n.BYTES)),y:n.fromBytes(e.subarray(n.BYTES,2*n.BYTES))}});function s(t){const{a:r,b:i}=e,s=n.sqr(t),o=n.mul(s,t);return n.add(n.add(o,n.mul(t,r)),i)}function o(t){return"bigint"==typeof t&&ut<t&&t<e.n}function f(t){if(!o(t))throw new Error("Expected valid bigint: 0 < bigint < curve.n")}function a(t){const{allowedPrivateKeyLengths:n,nByteLength:r,wrapPrivateKey:i,n:s}=e;if(n&&"bigint"!=typeof t){if(t instanceof Uint8Array&&(t=I(t)),"string"!=typeof t||!n.includes(t.length))throw new Error("Invalid key");t=t.padStart(2*r,"0")}let o;try{o="bigint"==typeof t?t:H(N("private key",t,r))}catch(e){throw new Error(`private key must be ${r} bytes, hex or bigint, not ${typeof t}`)}return i&&(o=M(o,s)),f(o),o}const h=new Map;function c(t){if(!(t instanceof u))throw new Error("ProjectivePoint expected")}class u{constructor(t,e,r){if(this.px=t,this.py=e,this.pz=r,null==t||!n.isValid(t))throw new Error("x required");if(null==e||!n.isValid(e))throw new Error("y required");if(null==r||!n.isValid(r))throw new Error("z required")}static fromAffine(t){const{x:e,y:r}=t||{};if(!t||!n.isValid(e)||!n.isValid(r))throw new Error("invalid affine point");if(t instanceof u)throw new Error("projective point not allowed");const i=t=>n.eql(t,n.ZERO);return i(e)&&i(r)?u.ZERO:new u(e,r,n.ONE)}get x(){return this.toAffine().x}get y(){return this.toAffine().y}static normalizeZ(t){const e=n.invertBatch(t.map((t=>t.pz)));return t.map(((t,n)=>t.toAffine(e[n]))).map(u.fromAffine)}static fromHex(t){const e=u.fromAffine(i(N("pointHex",t)));return e.assertValidity(),e}static fromPrivateKey(t){return u.BASE.multiply(a(t))}_setWindowSize(t){this._WINDOW_SIZE=t,h.delete(this)}assertValidity(){if(this.is0()){if(e.allowInfinityPoint)return;throw new Error("bad point: ZERO")}const{x:t,y:r}=this.toAffine();if(!n.isValid(t)||!n.isValid(r))throw new Error("bad point: x or y not FE");const i=n.sqr(r),o=s(t);if(!n.eql(i,o))throw new Error("bad point: equation left != right");if(!this.isTorsionFree())throw new Error("bad point: not in prime-order subgroup")}hasEvenY(){const{y:t}=this.toAffine();if(n.isOdd)return!n.isOdd(t);throw new Error("Field doesn't support isOdd")}equals(t){c(t);const{px:e,py:r,pz:i}=this,{px:s,py:o,pz:f}=t,a=n.eql(n.mul(e,f),n.mul(s,i)),h=n.eql(n.mul(r,f),n.mul(o,i));return a&&h}negate(){return new u(this.px,n.neg(this.py),this.pz)}double(){const{a:t,b:r}=e,i=n.mul(r,gt),{px:s,py:o,pz:f}=this;let a=n.ZERO,h=n.ZERO,c=n.ZERO,l=n.mul(s,s),d=n.mul(o,o),g=n.mul(f,f),p=n.mul(s,o);return p=n.add(p,p),c=n.mul(s,f),c=n.add(c,c),a=n.mul(t,c),h=n.mul(i,g),h=n.add(a,h),a=n.sub(d,h),h=n.add(d,h),h=n.mul(a,h),a=n.mul(p,a),c=n.mul(i,c),g=n.mul(t,g),p=n.sub(l,g),p=n.mul(t,p),p=n.add(p,c),c=n.add(l,l),l=n.add(c,l),l=n.add(l,g),l=n.mul(l,p),h=n.add(h,l),g=n.mul(o,f),g=n.add(g,g),l=n.mul(g,p),a=n.sub(a,l),c=n.mul(g,d),c=n.add(c,c),c=n.add(c,c),new u(a,h,c)}add(t){c(t);const{px:r,py:i,pz:s}=this,{px:o,py:f,pz:a}=t;let h=n.ZERO,l=n.ZERO,d=n.ZERO;const g=e.a,p=n.mul(e.b,gt);let b=n.mul(r,o),w=n.mul(i,f),y=n.mul(s,a),m=n.add(r,i),x=n.add(o,f);m=n.mul(m,x),x=n.add(b,w),m=n.sub(m,x),x=n.add(r,s);let E=n.add(o,a);return x=n.mul(x,E),E=n.add(b,y),x=n.sub(x,E),E=n.add(i,s),h=n.add(f,a),E=n.mul(E,h),h=n.add(w,y),E=n.sub(E,h),d=n.mul(g,x),h=n.mul(p,y),d=n.add(h,d),h=n.sub(w,d),d=n.add(w,d),l=n.mul(h,d),w=n.add(b,b),w=n.add(w,b),y=n.mul(g,y),x=n.mul(p,x),w=n.add(w,y),y=n.sub(b,y),y=n.mul(g,y),x=n.add(x,y),b=n.mul(w,x),l=n.add(l,b),b=n.mul(E,x),h=n.mul(m,h),h=n.sub(h,b),b=n.mul(m,w),d=n.mul(E,d),d=n.add(d,b),new u(h,l,d)}subtract(t){return this.add(t.negate())}is0(){return this.equals(u.ZERO)}wNAF(t){return d.wNAFCached(this,h,t,(t=>{const e=n.invertBatch(t.map((t=>t.pz)));return t.map(((t,n)=>t.toAffine(e[n]))).map(u.fromAffine)}))}multiplyUnsafe(t){const r=u.ZERO;if(t===ut)return r;if(f(t),t===lt)return this;const{endo:i}=e;if(!i)return d.unsafeLadder(this,t);let{k1neg:s,k1:o,k2neg:a,k2:h}=i.splitScalar(t),c=r,l=r,g=this;for(;o>ut||h>ut;)o&lt&&(c=c.add(g)),h&lt&&(l=l.add(g)),g=g.double(),o>>=lt,h>>=lt;return s&&(c=c.negate()),a&&(l=l.negate()),l=new u(n.mul(l.px,i.beta),l.py,l.pz),c.add(l)}multiply(t){f(t);let r,i,s=t;const{endo:o}=e;if(o){const{k1neg:t,k1:e,k2neg:f,k2:a}=o.splitScalar(s);let{p:h,f:c}=this.wNAF(e),{p:l,f:g}=this.wNAF(a);h=d.constTimeNegate(t,h),l=d.constTimeNegate(f,l),l=new u(n.mul(l.px,o.beta),l.py,l.pz),r=h.add(l),i=c.add(g)}else{const{p:t,f:e}=this.wNAF(s);r=t,i=e}return u.normalizeZ([r,i])[0]}multiplyAndAddUnsafe(t,e,n){const r=u.BASE,i=(t,e)=>e!==ut&&e!==lt&&t.equals(r)?t.multiply(e):t.multiplyUnsafe(e),s=i(this,e).add(i(t,n));return s.is0()?void 0:s}toAffine(t){const{px:e,py:r,pz:i}=this,s=this.is0();null==t&&(t=s?n.ONE:n.inv(i));const o=n.mul(e,t),f=n.mul(r,t),a=n.mul(i,t);if(s)return{x:n.ZERO,y:n.ZERO};if(!n.eql(a,n.ONE))throw new Error("invZ was invalid");return{x:o,y:f}}isTorsionFree(){const{h:t,isTorsionFree:n}=e;if(t===lt)return!0;if(n)return n(u,this);throw new Error("isTorsionFree() has not been declared for the elliptic curve")}clearCofactor(){const{h:t,clearCofactor:n}=e;return t===lt?this:n?n(u,this):this.multiplyUnsafe(e.h)}toRawBytes(t=!0){return this.assertValidity(),r(u,this,t)}toHex(t=!0){return I(this.toRawBytes(t))}}u.BASE=new u(e.Gx,e.Gy,n.ONE),u.ZERO=new u(n.ZERO,n.ONE,n.ZERO);const l=e.nBitLength,d=function(t,e){const n=(t,e)=>{const n=e.negate();return t?n:e},r=t=>({windows:Math.ceil(e/t)+1,windowSize:2**(t-1)});return{constTimeNegate:n,unsafeLadder(e,n){let r=t.ZERO,i=e;for(;n>st;)n&ot&&(r=r.add(i)),i=i.double(),n>>=ot;return r},precomputeWindow(t,e){const{windows:n,windowSize:i}=r(e),s=[];let o=t,f=o;for(let t=0;t<n;t++){f=o,s.push(f);for(let t=1;t<i;t++)f=f.add(o),s.push(f);o=f.double()}return s},wNAF(e,i,s){const{windows:o,windowSize:f}=r(e);let a=t.ZERO,h=t.BASE;const c=BigInt(2**e-1),u=2**e,l=BigInt(e);for(let t=0;t<o;t++){const e=t*f;let r=Number(s&c);s>>=l,r>f&&(r-=u,s+=ot);const o=e,d=e+Math.abs(r)-1,g=t%2!=0,p=r<0;0===r?h=h.add(n(g,i[o])):a=a.add(n(p,i[d]))}return{p:a,f:h}},wNAFCached(t,e,n,r){const i=t._WINDOW_SIZE||1;let s=e.get(t);return s||(s=this.precomputeWindow(t,i),1!==i&&e.set(t,r(s))),this.wNAF(i,s,n)}}}(u,e.endo?Math.ceil(l/2):l);return{CURVE:e,ProjectivePoint:u,normPrivateKeyToScalar:a,weierstrassEquation:s,isWithinCurveOrder:o}}function wt(t){const e=function(t){const e=ft(t);return P(e,{hash:"hash",hmac:"function",randomBytes:"function"},{bits2int:"function",bits2int_modN:"function",lowS:"boolean"}),Object.freeze({lowS:!0,...e})}(t),{Fp:n,n:r}=e,i=n.BYTES+1,s=2*n.BYTES+1;function o(t){return M(t,r)}function f(t){return Q(t,r)}const{ProjectivePoint:a,normPrivateKeyToScalar:h,weierstrassEquation:c,isWithinCurveOrder:u}=bt({...e,toBytes(t,e,r){const i=e.toAffine(),s=n.toBytes(i.x),o=C;return r?o(Uint8Array.from([e.hasEvenY()?2:3]),s):o(Uint8Array.from([4]),s,n.toBytes(i.y))},fromBytes(t){const e=t.length,r=t[0],o=t.subarray(1);if(e!==i||2!==r&&3!==r){if(e===s&&4===r){return{x:n.fromBytes(o.subarray(0,n.BYTES)),y:n.fromBytes(o.subarray(n.BYTES,2*n.BYTES))}}throw new Error(`Point of length ${e} was invalid. Expected ${i} compressed bytes or ${s} uncompressed bytes`)}{const t=H(o);if(!(ut<(f=t)&&f<n.ORDER))throw new Error("Point is not on curve");const e=c(t);let i=n.sqrt(e);return 1==(1&r)!==((i&lt)===lt)&&(i=n.neg(i)),{x:t,y:i}}var f}}),l=t=>I(O(t,e.nByteLength));function d(t){return t>r>>lt}const g=(t,e,n)=>H(t.slice(e,n));class p{constructor(t,e,n){this.r=t,this.s=e,this.recovery=n,this.assertValidity()}static fromCompact(t){const n=e.nByteLength;return t=N("compactSignature",t,2*n),new p(g(t,0,n),g(t,n,2*n))}static fromDER(t){const{r:e,s:n}=ct.toSig(N("DER",t));return new p(e,n)}assertValidity(){if(!u(this.r))throw new Error("r must be 0 < r < CURVE.n");if(!u(this.s))throw new Error("s must be 0 < s < CURVE.n")}addRecoveryBit(t){return new p(this.r,this.s,t)}recoverPublicKey(t){const{r:r,s:i,recovery:s}=this,h=m(N("msgHash",t));if(null==s||![0,1,2,3].includes(s))throw new Error("recovery id invalid");const c=2===s||3===s?r+e.n:r;if(c>=n.ORDER)throw new Error("recovery id 2 or 3 invalid");const u=0==(1&s)?"02":"03",d=a.fromHex(u+l(c)),g=f(c),p=o(-h*g),b=o(i*g),w=a.BASE.multiplyAndAddUnsafe(d,p,b);if(!w)throw new Error("point at infinify");return w.assertValidity(),w}hasHighS(){return d(this.s)}normalizeS(){return this.hasHighS()?new p(this.r,o(-this.s),this.recovery):this}toDERRawBytes(){return L(this.toDERHex())}toDERHex(){return ct.hexFromSig({r:this.r,s:this.s})}toCompactRawBytes(){return L(this.toCompactHex())}toCompactHex(){return l(this.r)+l(this.s)}}const b={isValidPrivateKey(t){try{return h(t),!0}catch(t){return!1}},normPrivateKeyToScalar:h,randomPrivateKey:()=>{const t=function(t,e,n=!1){const r=(t=N("privateHash",t)).length,i=rt(e).nByteLength+8;if(i<24||r<i||r>1024)throw new Error(`hashToPrivateScalar: expected ${i}-1024 bytes of input, got ${r}`);return M(n?_(t):H(t),e-j)+j}(e.randomBytes(n.BYTES+8),r);return O(t,e.nByteLength)},precompute:(t=8,e=a.BASE)=>(e._setWindowSize(t),e.multiply(BigInt(3)),e)};function w(t){const e=t instanceof Uint8Array,n="string"==typeof t,r=(e||n)&&t.length;return e?r===i||r===s:n?r===2*i||r===2*s:t instanceof a}const y=e.bits2int||function(t){const n=H(t),r=8*t.length-e.nBitLength;return r>0?n>>BigInt(r):n},m=e.bits2int_modN||function(t){return o(y(t))},x=k(e.nBitLength);function E(t){if("bigint"!=typeof t)throw new Error("bigint expected");if(!(ut<=t&&t<x))throw new Error(`bigint expected < 2^${e.nBitLength}`);return O(t,e.nByteLength)}function B(t,r,i=v){if(["recovered","canonical"].some((t=>t in i)))throw new Error("sign() legacy options not supported");const{hash:s,randomBytes:c}=e;let{lowS:l,prehash:g,extraEntropy:b}=i;null==l&&(l=!0),t=N("msgHash",t),g&&(t=N("prehashed msgHash",s(t)));const w=m(t),x=h(r),B=[E(x),E(w)];if(null!=b){const t=!0===b?c(n.BYTES):b;B.push(N("extraEntropy",t,n.BYTES))}const A=C(...B),I=w;return{seed:A,k2sig:function(t){const e=y(t);if(!u(e))return;const n=f(e),r=a.BASE.multiply(e).toAffine(),i=o(r.x);if(i===ut)return;const s=o(n*o(I+i*x));if(s===ut)return;let h=(r.x===i?0:2)|Number(r.y&lt),c=s;return l&&d(s)&&(c=function(t){return d(t)?o(-t):t}(s),h^=1),new p(i,c,h)}}}const v={lowS:e.lowS,prehash:!1},A={lowS:e.lowS,prehash:!1};return a.BASE._setWindowSize(8),{CURVE:e,getPublicKey:function(t,e=!0){return a.fromPrivateKey(t).toRawBytes(e)},getSharedSecret:function(t,e,n=!0){if(w(t))throw new Error("first arg must be private key");if(!w(e))throw new Error("second arg must be public key");return a.fromHex(e).multiply(h(t)).toRawBytes(n)},sign:function(t,n,r=v){const{seed:i,k2sig:s}=B(t,n,r);return D(e.hash.outputLen,e.nByteLength,e.hmac)(i,s)},verify:function(t,n,r,i=A){const s=t;if(n=N("msgHash",n),r=N("publicKey",r),"strict"in i)throw new Error("options.strict was renamed to lowS");const{lowS:h,prehash:c}=i;let u,l;try{if("string"==typeof s||s instanceof Uint8Array)try{u=p.fromDER(s)}catch(t){if(!(t instanceof ct.Err))throw t;u=p.fromCompact(s)}else{if("object"!=typeof s||"bigint"!=typeof s.r||"bigint"!=typeof s.s)throw new Error("PARSE");{const{r:t,s:e}=s;u=new p(t,e)}}l=a.fromHex(r)}catch(t){if("PARSE"===t.message)throw new Error("signature must be Signature instance, Uint8Array or hex string");return!1}if(h&&u.hasHighS())return!1;c&&(n=e.hash(n));const{r:d,s:g}=u,b=m(n),w=f(g),y=o(b*w),x=o(d*w),E=a.BASE.multiplyAndAddUnsafe(l,y,x)?.toAffine();return!!E&&o(E.x)===d},ProjectivePoint:a,Signature:p,utils:b}}let yt=class extends h{constructor(t,e){super(),this.finished=!1,this.destroyed=!1,i.hash(t);const n=a(e);if(this.iHash=t.create(),"function"!=typeof this.iHash.update)throw new TypeError("Expected instance of class which extends utils.Hash");this.blockLen=this.iHash.blockLen,this.outputLen=this.iHash.outputLen;const r=this.blockLen,s=new Uint8Array(r);s.set(n.length>r?t.create().update(n).digest():n);for(let t=0;t<s.length;t++)s[t]^=54;this.iHash.update(s),this.oHash=t.create();for(let t=0;t<s.length;t++)s[t]^=106;this.oHash.update(s),s.fill(0)}update(t){return i.exists(this),this.iHash.update(t),this}digestInto(t){i.exists(this),i.bytes(t,this.outputLen),this.finished=!0,this.iHash.digestInto(t),this.oHash.update(t),this.oHash.digestInto(t),this.destroy()}digest(){const t=new Uint8Array(this.oHash.outputLen);return this.digestInto(t),t}_cloneInto(t){t||(t=Object.create(Object.getPrototypeOf(this),{}));const{oHash:e,iHash:n,finished:r,destroyed:i,blockLen:s,outputLen:o}=this;return t.finished=r,t.destroyed=i,t.blockLen=s,t.outputLen=o,t.oHash=e._cloneInto(t.oHash),t.iHash=n._cloneInto(t.iHash),t}destroy(){this.destroyed=!0,this.oHash.destroy(),this.iHash.destroy()}};const mt=(t,e,n)=>new yt(t,e).update(n).digest();
/*! noble-curves - MIT License (c) 2022 Paul Miller (paulmillr.com) */
function xt(t){return{hash:t,hmac:(e,...n)=>mt(t,e,function(...t){if(!t.every((t=>t instanceof Uint8Array)))throw new Error("Uint8Array list expected");if(1===t.length)return t[0];const e=t.reduce(((t,e)=>t+e.length),0),n=new Uint8Array(e);for(let e=0,r=0;e<t.length;e++){const i=t[e];n.set(i,r),r+=i.length}return n}(...n)),randomBytes:u}}mt.create=(t,e)=>new yt(t,e);
/*! noble-curves - MIT License (c) 2022 Paul Miller (paulmillr.com) */
const Et=BigInt("0xfffffffffffffffffffffffffffffffffffffffffffffffffffffffefffffc2f"),Bt=BigInt("0xfffffffffffffffffffffffffffffffebaaedce6af48a03bbfd25e8cd0364141"),vt=BigInt(1),At=BigInt(2),It=(t,e)=>(t+e/At)/e;function St(t){const e=Et,n=BigInt(3),r=BigInt(6),i=BigInt(11),s=BigInt(22),o=BigInt(23),f=BigInt(44),a=BigInt(88),h=t*t*t%e,c=h*h*t%e,u=X(c,n,e)*c%e,l=X(u,n,e)*c%e,d=X(l,At,e)*h%e,g=X(d,i,e)*d%e,p=X(g,s,e)*g%e,b=X(p,f,e)*p%e,w=X(b,a,e)*b%e,y=X(w,f,e)*p%e,m=X(y,n,e)*c%e,x=X(m,o,e)*g%e,E=X(x,r,e)*h%e,B=X(E,At,e);if(!Ut.eql(Ut.sqr(B),t))throw new Error("Cannot find square root");return B}const Ut=it(Et,void 0,void 0,{sqrt:St}),Lt=function(t,e){const n=e=>wt({...t,...xt(e)});return Object.freeze({...n(e),create:n})}({a:BigInt(0),b:BigInt(7),Fp:Ut,n:Bt,Gx:BigInt("55066263022277343669578718895168534326250603453777594175500187360389116729240"),Gy:BigInt("32670510020758816978083085130507043184471273380659243275938904335757337482424"),h:BigInt(1),lowS:!0,endo:{beta:BigInt("0x7ae96a2b657c07106e64479eac3434e99cf0497512f58995c1396c28719501ee"),splitScalar:t=>{const e=Bt,n=BigInt("0x3086d221a7d46bcde86c90e49284eb15"),r=-vt*BigInt("0xe4437ed6010e88286f547fa90abfe4c3"),i=BigInt("0x114ca50f7a8e2f3f657c1108d9d44cfd8"),s=n,o=BigInt("0x100000000000000000000000000000000"),f=It(s*t,e),a=It(-r*t,e);let h=M(t-f*n-a*i,e),c=M(-f*r-a*s,e);const u=h>o,l=c>o;if(u&&(h=e-h),l&&(c=e-c),h>o||c>o)throw new Error("splitScalar: Endomorphism failed, k="+t);return{k1neg:u,k1:h,k2neg:l,k2:c}}}},m),Ht=BigInt(0),_t=t=>"bigint"==typeof t&&Ht<t&&t<Et,Ot=t=>"bigint"==typeof t&&Ht<t&&t<Bt,Tt={};function Nt(t,...e){let n=Tt[t];if(void 0===n){const e=m(Uint8Array.from(t,(t=>t.charCodeAt(0))));n=C(e,e),Tt[t]=n}return m(C(n,...e))}const Ct=t=>t.toRawBytes(!0).slice(1),Rt=t=>O(t,32),kt=t=>M(t,Et),$t=t=>M(t,Bt),Ft=Lt.ProjectivePoint,Dt=(t,e,n)=>Ft.BASE.multiplyAndAddUnsafe(t,e,n);function qt(t){let e=Lt.utils.normPrivateKeyToScalar(t),n=Ft.fromPrivateKey(e);return{scalar:n.hasEvenY()?e:$t(-e),bytes:Ct(n)}}function Pt(t){if(!_t(t))throw new Error("bad x: need 0 < x < p");const e=kt(t*t);let n=St(kt(e*t+BigInt(7)));n%At!==Ht&&(n=kt(-n));const r=new Ft(t,n,vt);return r.assertValidity(),r}function zt(...t){return $t(H(Nt("BIP0340/challenge",...t)))}function Vt(t,e,n){const r=N("signature",t,64),i=N("message",e),s=N("publicKey",n,32);try{const t=Pt(H(s)),e=H(r.subarray(0,32));if(!_t(e))return!1;const n=H(r.subarray(32,64));if(!Ot(n))return!1;const o=zt(Rt(e),Ct(t),i),f=Dt(t,n,$t(-o));return!(!f||!f.hasEvenY()||f.toAffine().x!==e)}catch(t){return!1}}const jt={getPublicKey:function(t){return qt(t).bytes},sign:function(t,e,n=u(32)){const r=N("message",t),{bytes:i,scalar:s}=qt(e),o=N("auxRand",n,32),f=Rt(s^H(Nt("BIP0340/aux",o))),a=Nt("BIP0340/nonce",f,i,r),h=$t(H(a));if(h===Ht)throw new Error("sign failed: k is zero");const{bytes:c,scalar:l}=qt(h),d=zt(c,i,r),g=new Uint8Array(64);if(g.set(c,0),g.set(Rt($t(l+d*s)),32),!Vt(g,r,i))throw new Error("sign: Invalid signature produced");return g},verify:Vt,utils:{randomPrivateKey:Lt.utils.randomPrivateKey,lift_x:Pt,pointToBytes:Ct,numberToBytesBE:O,bytesToNumberBE:H,taggedHash:Nt,mod:M}},Gt=function(t,e){const n=e.map((t=>Array.from(t).reverse()));return(e,r)=>{const[i,s,o,f]=n.map((n=>n.reduce(((n,r)=>t.add(t.mul(n,e),r)))));return e=t.div(i,s),r=t.mul(r,t.div(o,f)),{x:e,y:r}}}(Ut,[["0x8e38e38e38e38e38e38e38e38e38e38e38e38e38e38e38e38e38e38daaaaa8c7","0x7d3d4c80bc321d5b9f315cea7fd44c5d595d2fc0bf63b92dfff1044f17c6581","0x534c328d23f234e6e2a413deca25caece4506144037c40314ecbd0b53d9dd262","0x8e38e38e38e38e38e38e38e38e38e38e38e38e38e38e38e38e38e38daaaaa88c"],["0xd35771193d94918a9ca34ccbb7b640dd86cd409542f8487d9fe6b745781eb49b","0xedadc6f64383dc1df7c4b2d51b54225406d36b641f5e41bbc52a56612a8c6d14","0x0000000000000000000000000000000000000000000000000000000000000001"],["0x4bda12f684bda12f684bda12f684bda12f684bda12f684bda12f684b8e38e23c","0xc75e0c32d5cb7c0fa9d0a54b12a0a6d5647ab046d686da6fdffc90fc201d71a3","0x29a6194691f91a73715209ef6512e576722830a201be2018a765e85a9ecee931","0x2f684bda12f684bda12f684bda12f684bda12f684bda12f684bda12f38e38d84"],["0xfffffffffffffffffffffffffffffffffffffffffffffffffffffffefffff93b","0x7a06534bb8bdb49fd5e9e6632722c2989467c1bfc8e8d978dfb425d2685c2573","0x6484aa716545ca2cf3a70c3fa8fe337e0a3d21162f0d6299a7bf8192bfd2a76f","0x0000000000000000000000000000000000000000000000000000000000000001"]].map((t=>t.map((t=>BigInt(t)))))),Zt=function(t,e){if(nt(t),!t.isValid(e.A)||!t.isValid(e.B)||!t.isValid(e.Z))throw new Error("mapToCurveSimpleSWU: invalid opts");const n=function(t,e){const n=t.ORDER;let r=ut;for(let t=n-lt;t%dt===ut;t/=dt)r+=lt;const i=r,s=(n-lt)/dt**i,o=(s-lt)/dt,f=dt**i-lt,a=dt**(i-lt),h=t.pow(e,s),c=t.pow(e,(s+lt)/dt);let u=(e,n)=>{let r=h,s=t.pow(n,f),u=t.sqr(s);u=t.mul(u,n);let l=t.mul(e,u);l=t.pow(l,o),l=t.mul(l,s),s=t.mul(l,n),u=t.mul(l,e);let d=t.mul(u,s);l=t.pow(d,a);let g=t.eql(l,t.ONE);s=t.mul(u,c),l=t.mul(d,r),u=t.cmov(s,u,g),d=t.cmov(l,d,g);for(let e=i;e>1;e--){let n=dt**(e-dt),i=t.pow(d,n);const o=t.eql(i,t.ONE);s=t.mul(u,r),r=t.mul(r,r),i=t.mul(d,r),u=t.cmov(s,u,o),d=t.cmov(i,d,o)}return{isValid:g,value:u}};if(t.ORDER%pt===gt){const n=(t.ORDER-gt)/pt,r=t.sqrt(t.neg(e));u=(e,i)=>{let s=t.sqr(i);const o=t.mul(e,i);s=t.mul(s,o);let f=t.pow(s,n);f=t.mul(f,o);const a=t.mul(f,r),h=t.mul(t.sqr(f),i),c=t.eql(h,e);return{isValid:c,value:t.cmov(a,f,c)}}}return u}(t,e.Z);if(!t.isOdd)throw new Error("Fp.isOdd is not implemented!");return r=>{let i,s,o,f,a,h,c,u;i=t.sqr(r),i=t.mul(i,e.Z),s=t.sqr(i),s=t.add(s,i),o=t.add(s,t.ONE),o=t.mul(o,e.B),f=t.cmov(e.Z,t.neg(s),!t.eql(s,t.ZERO)),f=t.mul(f,e.A),s=t.sqr(o),h=t.sqr(f),a=t.mul(h,e.A),s=t.add(s,a),s=t.mul(s,o),h=t.mul(h,f),a=t.mul(h,e.B),s=t.add(s,a),c=t.mul(i,o);const{isValid:l,value:d}=n(s,h);u=t.mul(i,r),u=t.mul(u,d),c=t.cmov(c,o,l),u=t.cmov(u,d,l);const g=t.isOdd(r)===t.isOdd(u);return u=t.cmov(t.neg(u),u,g),c=t.div(c,f),{x:c,y:u}}}(Ut,{A:BigInt("0x3f8731abdd661adca08a5558f0f5d272e953d363cb6f0e5d405447c01a444533"),B:BigInt("1771"),Z:Ut.create(BigInt("-11"))});function Yt(t){if(!Number.isSafeInteger(t)||t<0)throw new Error(`Wrong positive integer: ${t}`)}function Kt(t,...e){if(!(t instanceof Uint8Array))throw new TypeError("Expected Uint8Array");if(e.length>0&&!e.includes(t.length))throw new TypeError(`Expected Uint8Array of length ${e}, not of length=${t.length}`)}!function(t,e,n){if("function"!=typeof e)throw new Error("mapToCurve() must be defined")}(Lt.ProjectivePoint,(t=>{const{x:e,y:n}=Zt(Ut.create(t[0]));return Gt(e,n)}),{DST:"secp256k1_XMD:SHA-256_SSWU_RO_",encodeDST:"secp256k1_XMD:SHA-256_SSWU_NU_",p:Ut.ORDER,m:1,k:128,expand:"xmd",hash:m});const Wt={number:Yt,bool:function(t){if("boolean"!=typeof t)throw new Error(`Expected boolean, not ${t}`)},bytes:Kt,hash:function(t){if("function"!=typeof t||"function"!=typeof t.create)throw new Error("Hash should be wrapped by utils.wrapConstructor");Yt(t.outputLen),Yt(t.blockLen)},exists:function(t,e=!0){if(t.destroyed)throw new Error("Hash instance has been destroyed");if(e&&t.finished)throw new Error("Hash#digest() has already been called")},output:function(t,e){Kt(t);const n=e.outputLen;if(t.length<n)throw new Error(`digestInto() expects output buffer of length at least ${n}`)}};var Mt=Wt;
/*! noble-hashes - MIT License (c) 2022 Paul Miller (paulmillr.com) */const Jt=t=>new DataView(t.buffer,t.byteOffset,t.byteLength),Xt=(t,e)=>t<<32-e|t>>>e;if(!(68===new Uint8Array(new Uint32Array([287454020]).buffer)[0]))throw new Error("Non little-endian hardware is not supported");function Qt(t){if("string"==typeof t&&(t=function(t){if("string"!=typeof t)throw new TypeError("utf8ToBytes expected string, got "+typeof t);return(new TextEncoder).encode(t)}(t)),!(t instanceof Uint8Array))throw new TypeError(`Expected input type is Uint8Array (got ${typeof t})`);return t}Array.from({length:256},((t,e)=>e.toString(16).padStart(2,"0")));let te=class{clone(){return this._cloneInto()}};function ee(t){const e=e=>t().update(Qt(e)).digest(),n=t();return e.outputLen=n.outputLen,e.blockLen=n.blockLen,e.create=()=>t(),e}let ne=class extends te{constructor(t,e,n,r){super(),this.blockLen=t,this.outputLen=e,this.padOffset=n,this.isLE=r,this.finished=!1,this.length=0,this.pos=0,this.destroyed=!1,this.buffer=new Uint8Array(t),this.view=Jt(this.buffer)}update(t){Mt.exists(this);const{view:e,buffer:n,blockLen:r}=this,i=(t=Qt(t)).length;for(let s=0;s<i;){const o=Math.min(r-this.pos,i-s);if(o!==r)n.set(t.subarray(s,s+o),this.pos),this.pos+=o,s+=o,this.pos===r&&(this.process(e,0),this.pos=0);else{const e=Jt(t);for(;r<=i-s;s+=r)this.process(e,s)}}return this.length+=t.length,this.roundClean(),this}digestInto(t){Mt.exists(this),Mt.output(t,this),this.finished=!0;const{buffer:e,view:n,blockLen:r,isLE:i}=this;let{pos:s}=this;e[s++]=128,this.buffer.subarray(s).fill(0),this.padOffset>r-s&&(this.process(n,0),s=0);for(let t=s;t<r;t++)e[t]=0;!function(t,e,n,r){if("function"==typeof t.setBigUint64)return t.setBigUint64(e,n,r);const i=BigInt(32),s=BigInt(4294967295),o=Number(n>>i&s),f=Number(n&s),a=r?4:0,h=r?0:4;t.setUint32(e+a,o,r),t.setUint32(e+h,f,r)}(n,r-8,BigInt(8*this.length),i),this.process(n,0);const o=Jt(t),f=this.outputLen;if(f%4)throw new Error("_sha2: outputLen should be aligned to 32bit");const a=f/4,h=this.get();if(a>h.length)throw new Error("_sha2: outputLen bigger than state");for(let t=0;t<a;t++)o.setUint32(4*t,h[t],i)}digest(){const{buffer:t,outputLen:e}=this;this.digestInto(t);const n=t.slice(0,e);return this.destroy(),n}_cloneInto(t){t||(t=new this.constructor),t.set(...this.get());const{blockLen:e,buffer:n,length:r,finished:i,destroyed:s,pos:o}=this;return t.length=r,t.pos=o,t.finished=i,t.destroyed=s,r%e&&t.buffer.set(n),t}};const re=(t,e,n)=>t&e^t&n^e&n,ie=new Uint32Array([1116352408,1899447441,3049323471,3921009573,961987163,1508970993,2453635748,2870763221,3624381080,310598401,607225278,1426881987,1925078388,2162078206,2614888103,3248222580,3835390401,4022224774,264347078,604807628,770255983,1249150122,1555081692,1996064986,2554220882,2821834349,2952996808,3210313671,3336571891,3584528711,113926993,338241895,666307205,773529912,1294757372,1396182291,1695183700,1986661051,2177026350,2456956037,2730485921,2820302411,3259730800,3345764771,3516065817,3600352804,4094571909,275423344,430227734,506948616,659060556,883997877,958139571,1322822218,1537002063,1747873779,1955562222,2024104815,2227730452,2361852424,2428436474,2756734187,3204031479,3329325298]),se=new Uint32Array([1779033703,3144134277,1013904242,2773480762,1359893119,2600822924,528734635,1541459225]),oe=new Uint32Array(64);let fe=class extends ne{constructor(){super(64,32,8,!1),this.A=0|se[0],this.B=0|se[1],this.C=0|se[2],this.D=0|se[3],this.E=0|se[4],this.F=0|se[5],this.G=0|se[6],this.H=0|se[7]}get(){const{A:t,B:e,C:n,D:r,E:i,F:s,G:o,H:f}=this;return[t,e,n,r,i,s,o,f]}set(t,e,n,r,i,s,o,f){this.A=0|t,this.B=0|e,this.C=0|n,this.D=0|r,this.E=0|i,this.F=0|s,this.G=0|o,this.H=0|f}process(t,e){for(let n=0;n<16;n++,e+=4)oe[n]=t.getUint32(e,!1);for(let t=16;t<64;t++){const e=oe[t-15],n=oe[t-2],r=Xt(e,7)^Xt(e,18)^e>>>3,i=Xt(n,17)^Xt(n,19)^n>>>10;oe[t]=i+oe[t-7]+r+oe[t-16]|0}let{A:n,B:r,C:i,D:s,E:o,F:f,G:a,H:h}=this;for(let t=0;t<64;t++){const e=h+(Xt(o,6)^Xt(o,11)^Xt(o,25))+((c=o)&f^~c&a)+ie[t]+oe[t]|0,u=(Xt(n,2)^Xt(n,13)^Xt(n,22))+re(n,r,i)|0;h=a,a=f,f=o,o=s+e|0,s=i,i=r,r=n,n=e+u|0}var c;n=n+this.A|0,r=r+this.B|0,i=i+this.C|0,s=s+this.D|0,o=o+this.E|0,f=f+this.F|0,a=a+this.G|0,h=h+this.H|0,this.set(n,r,i,s,o,f,a,h)}roundClean(){oe.fill(0)}destroy(){this.set(0,0,0,0,0,0,0,0),this.buffer.fill(0)}},ae=class extends fe{constructor(){super(),this.A=-1056596264,this.B=914150663,this.C=812702999,this.D=-150054599,this.E=-4191439,this.F=1750603025,this.G=1694076839,this.H=-1090891868,this.outputLen=28}};const he=ee((()=>new fe));function ce(t){if(t>Number.MAX_SAFE_INTEGER)throw new TypeError("Number exceeds safe bounds!")}ee((()=>new ae));const{getRandomValues:ue}=crypto??globalThis.crypto??window.crypto;function le(t,e,n="be"){void 0===e&&(e=t.length),function(t,e){if(t.length>e)throw new TypeError(`Data is larger than array size: ${t.length} > ${e}`)}(t,e);const r=new Uint8Array(e).fill(0),i="be"===n?0:e-t.length;return r.set(t,i),r}function de(t){let e,n=0;const r=t.reduce(((t,e)=>t+e.length),0),i=new Uint8Array(r);for(e=0;e<t.length;e++){const r=t[e];i.set(r,n),n+=r.length}return i}const ge=new TextEncoder,pe=[{name:"base58",charset:"123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz"}];function be(t){for(const e of pe)if(e.name===t)return e.charset;throw TypeError("Charset does not exist: "+t)}function we(t){return he(he(t))}const ye={encode:function(t,e,n=!1){"string"==typeof t&&(t=ge.encode(t));const r=be(e),i=r.length,s=[];let o,f,a,h="",c=0;for(o=0;o<t.length;o++)for(c=0,f=t[o],h+=f>0||(h.length^o)>0?"":"1";c in s||f>0;)a=s[c],a=a>0?256*a+f:f,f=a/i|0,s[c]=a%i,c++;for(;c-- >0;)h+=r[s[c]];return n&&h.length%4>0?h+"=".repeat(4-h.length%4):h},decode:function(t,e){const n=be(e),r=n.length,i=[],s=[];t=t.replace("=","");let o,f,a,h=0;for(o=0;o<t.length;o++){if(h=0,f=n.indexOf(t[o]),f<0)throw new Error(`Character range out of bounds: ${f}`);for(f>0||(s.length^o)>0||s.push(0);h in i||f>0;)a=i[h],a=a>0?a*r+f:f,f=a>>8,i[h]=a%256,h++}for(;h-- >0;)s.push(i[h]);return new Uint8Array(s)}},me=t=>{const e=function(t){return de([t,we(t).slice(0,4)])}(t);return ye.encode(e,"base58")},xe=t=>function(t){const e=t.slice(0,-4),n=t.slice(-4);if(we(e).slice(0,4).toString()!==n.toString())throw new Error("Invalid checksum!");return e}(ye.decode(t,"base58")),Ee="qpzry9x8gf2tvdw0s3jn54khce6mua7l",Be=[996825010,642813549,513874426,1027748829,705979059],ve=[{version:0,name:"bech32",const:1},{version:1,name:"bech32m",const:734539939}];function Ae(t){let e=1;for(let n=0;n<t.length;++n){const r=e>>25;e=(33554431&e)<<5^t[n];for(let t=0;t<5;++t)0!=(r>>t&1)&&(e^=Be[t])}return e}function Ie(t){const e=[];let n;for(n=0;n<t.length;++n)e.push(t.charCodeAt(n)>>5);for(e.push(0),n=0;n<t.length;++n)e.push(31&t.charCodeAt(n));return e}function Se(t,e,n,r=!0){const i=[];let s=0,o=0;const f=(1<<n)-1,a=(1<<e+n-1)-1;for(const r of t){if(r<0||r>>e>0)throw new Error("Failed to perform base conversion. Invalid value: "+String(r));for(s=(s<<e|r)&a,o+=e;o>=n;)o-=n,i.push(s>>o&f)}if(r)o>0&&i.push(s<<n-o&f);else if(o>=e||(s<<n-o&f)>0)throw new Error("Failed to perform base conversion. Invalid Size!");return i}function Ue(t,e,n){const r=e.concat(function(t,e,n){const r=Ae(Ie(t).concat(e).concat([0,0,0,0,0,0]))^n.const,i=[];for(let t=0;t<6;++t)i.push(r>>5*(5-t)&31);return i}(t,e,n));let i=t+"1";for(let t=0;t<r.length;++t)i+=Ee.charAt(r[t]);return i}function Le(t){if(!function(t){let e,n,r=!1,i=!1;for(e=0;e<t.length;++e){if(n=t.charCodeAt(e),n<33||n>126)return!1;n>=97&&n<=122&&(r=!0),n>=65&&n<=90&&(i=!0)}return!r||!i}(t))throw new Error("Encoded string goes out of bounds!");if(!function(t){const e=t.lastIndexOf("1");return!(e<1||e+7>t.length||t.length>90)}(t=t.toLowerCase()))throw new Error("Encoded string has invalid separator!");const e=[],n=t.lastIndexOf("1"),r=t.substring(0,n);for(let r=n+1;r<t.length;++r){const n=Ee.indexOf(t.charAt(r));if(-1===n)throw new Error("Character idx out of bounds: "+String(r));e.push(n)}const i=ve.find((t=>t.version===e[0]))??ve[0];if(!function(t,e,n){return Ae(Ie(t).concat(e))===n.const}(r,e,i))throw new Error("Checksum verification failed!");return[r,e.slice(0,e.length-6)]}function He(t){const e=(t=t.toLowerCase()).split("1",1)[0],[n,r]=Le(t),i=Se(r.slice(1),5,8,!1),s=i.length;switch(!0){case e!==n:throw new Error("Returned hrp string is invalid.");case null===i||s<2||s>40:throw new Error("Decoded string is invalid or out of spec.");case r[0]>16:throw new Error("Returned version bit is out of range.");default:return Uint8Array.from(i)}}const _e={encode:function(t,e="bc",n=0){const r=Ue(e,[n,...Se([...t],8,5)],ve.find((t=>t.version===n))??ve[0]);return He(r),r},decode:He,version:function(t){t=t.toLowerCase();const[e,n]=Le(t);return n[0]}},Oe="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",Te="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_",Ne=new TextEncoder;function Ce(t,e=!1,n=!0){"string"==typeof t&&(t=Ne.encode(t));const r=e?Te:Oe;let i="",s=0,o=0;for(let e=0;e<t.length;e++)for(o=o<<8|t[e],s+=8;s>=6;)s-=6,i+=r[o>>s&63];if(s>0)for(o<<=6-s,i+=r[63&o];s<6;)i+=n?"=":"",s+=2;return i}function Re(t,e=!1){const n=e||t.includes("-")||t.includes("_")?Te.split(""):Oe.split(""),r=(t=t.replace(/=+$/,"")).split("");let i=0,s=0;const o=[];for(let t=0;t<r.length;t++){const e=r[t],f=n.indexOf(e);if(-1===f)throw new Error("Invalid character: "+e);i+=6,s<<=6,s|=f,i>=8&&(i-=8,o.push(s>>>i&255))}return new Uint8Array(o)}const ke={encode:Ce,decode:Re},$e=t=>Ce(t,!0,!1),Fe=t=>Re(t,!0),De=BigInt(0),qe=BigInt(255),Pe=BigInt(256);function ze(t,e,n="be"){void 0===e&&(e=function(t){if(t<=0xffn)return 1;if(t<=0xffffn)return 2;if(t<=0xffffffffn)return 4;if(t<=0xffffffffffffffffn)return 8;if(t<=0xffffffffffffffffffffffffffffffffn)return 16;if(t<=0xffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffn)return 32;throw new TypeError("Must specify a fixed buffer size for bigints greater than 32 bytes.")}(t));const r="le"===n,i=new ArrayBuffer(e),s=new DataView(i);let o=r?0:e-1;for(;t>De;){const e=t&qe,n=Number(e);r?s.setUint8(o++,n):s.setUint8(o--,n),t=(t-e)/Pe}return new Uint8Array(i)}function Ve(t,e,n="be"){void 0===e&&(e=function(t){if(t<=255)return 1;if(t<=65535)return 2;if(t<=4294967295)return 4;throw new TypeError("Numbers larger than 4 bytes must specify a fixed size!")}(t));const r="le"===n,i=new ArrayBuffer(e),s=new DataView(i);let o=r?0:e-1;for(;t>0;){const e=255&t;r?s.setUint8(o++,t):s.setUint8(o--,t),t=(t-e)/256}return new Uint8Array(i)}const je=new TextEncoder,Ge=new TextDecoder;function Ze(t){return je.encode(t)}function Ye(t){return Ge.decode(t)}function Ke(t,e){!function(t){if(null!==t.match(/[^a-fA-f0-9]/))throw new TypeError("Invalid characters in hex string: "+t);if(t.length%2!=0)throw new Error(`Length of hex string is invalid: ${t.length}`)}(t);const n=t.length/2;if(void 0===e&&(e=n),n>e)throw new TypeError(`Hex string is larger than array size: ${n} > ${e}`);return e}function We(t,e,n){if(t instanceof ArrayBuffer)return new Uint8Array(t);if(t instanceof Uint8Array)return le(t,e,n);if(Array.isArray(t))try{return de(t.map((t=>We(t,e,n))))}catch(t){const{message:e}=t;throw new TypeError("Invalid data caught in array."+e)}if("string"==typeof t)return function(t,e,n="le"){e=Ke(t,e);const r="le"===n,i=new ArrayBuffer(e),s=new DataView(i);let o=r?0:e-1;for(let e=0;e<t.length;e+=2){const n=t.substring(e,e+2),i=parseInt(n,16);r?s.setUint8(o++,i):s.setUint8(o--,i)}return new Uint8Array(i)}(t,e,n);if("bigint"==typeof t)return ze(t,e,n);if("number"==typeof t)return Ve(t,e,n);if("boolean"==typeof t)return Uint8Array.of(t?1:0);throw new TypeError("Unsupported format:"+String(typeof t))}class Me extends Uint8Array{static{this.num=Je}static{this.big=Qe}static{this.bin=Xe}static{this.raw=tn}static{this.str=en}static{this.hex=nn}static{this.bytes=cn}static{this.json=rn}static{this.base64=sn}static{this.b64url=on}static{this.bech32=fn}static{this.b58chk=an}static{this.encode=Ze}static{this.decode=Ye}static random(t=32){const e=function(t=32){if("function"==typeof ue)return crypto.getRandomValues(new Uint8Array(t));throw new Error("Crypto module missing getRandomValues!")}(t);return new Me(e,t)}constructor(t,e,n){if(t instanceof Me&&void 0===e)return t;super(We(t,e,n))}get arr(){return[...this]}get num(){return this.toNum()}get big(){return this.toBig()}get str(){return this.toStr()}get hex(){return this.toHex()}get raw(){return new Uint8Array(this)}get bin(){return this.toBin()}get b58chk(){return this.tob58chk()}get base64(){return this.toBase64()}get b64url(){return this.toB64url()}get digest(){return this.toHash()}get id(){return this.toHash().hex}get stream(){return new hn(this)}toNum(t="be"){return function(t){let e=0;for(let n=t.length-1;n>=0;n--)e=256*e+t[n],ce(e);return e}("be"===t?this.reverse():this)}toBin(){return function(t){const e=new Array(8*t.length);let n=0;for(const r of t){if(r>255)throw new Error(`Invalid byte value: ${r}. Byte values must be between 0 and 255.`);for(let t=7;t>=0;t--,n++)e[n]=r>>t&1}return e.join("")}(this)}toBig(t="be"){return function(t){let e=BigInt(0);for(let n=t.length-1;n>=0;n--)e=e*Pe+BigInt(t[n]);return BigInt(e)}("be"===t?this.reverse():this)}toHash(){const t=he(this);return new Me(t)}toJson(){const t=Ye(this);return JSON.parse(t)}toBech32(t,e=0){return _e.encode(this,t,e)}toStr(){return Ye(this)}toHex(){return function(t){let e="";for(let n=0;n<t.length;n++)e+=t[n].toString(16).padStart(2,"0");return e}(this)}toBytes(){return new Uint8Array(this)}tob58chk(){return me(this)}toBase64(){return ke.encode(this)}toB64url(){return $e(this)}prepend(t){return Me.join([Me.bytes(t),this])}append(t){return Me.join([this,Me.bytes(t)])}slice(t,e){const n=new Uint8Array(this).slice(t,e);return new Me(n)}subarray(t,e){const n=new Uint8Array(this).subarray(t,e);return new Me(n)}reverse(){const t=new Uint8Array(this).reverse();return new Me(t)}write(t,e){const n=Me.bytes(t);this.set(n,e)}prefixSize(t){const e=Me.varInt(this.length,t);return Me.join([e,this])}static from(t){return new Me(Uint8Array.from(t))}static of(...t){return new Me(Uint8Array.of(...t))}static join(t){const e=de(t.map((t=>Me.bytes(t))));return new Me(e)}static sort(t,e){const n=t.map((t=>cn(t,e).hex));return n.sort(),n.map((t=>Me.hex(t,e)))}static varInt(t,e){if(t<253)return Me.num(t,1);if(t<65536)return Me.of(253,...Me.num(t,2,e));if(t<4294967296)return Me.of(254,...Me.num(t,4,e));if(BigInt(t)<0x10000000000000000n)return Me.of(255,...Me.num(t,8,e));throw new Error(`Value is too large: ${t}`)}}function Je(t,e,n){return new Me(t,e,n)}function Xe(t,e,n){return new Me(function(t){const e=t.split("").map(Number);if(e.length%8!=0)throw new Error(`Binary array is invalid length: ${t.length}`);const n=new Uint8Array(e.length/8);for(let t=0,r=0;t<e.length;t+=8,r++){let i=0;for(let n=0;n<8;n++)i|=e[t+n]<<7-n;n[r]=i}return n}(t),e,n)}function Qe(t,e,n){return new Me(t,e,n)}function tn(t,e,n){return new Me(t,e,n)}function en(t,e,n){return new Me(Ze(t),e,n)}function nn(t,e,n){return new Me(t,e,n)}function rn(t){return new Me((e=t,Ze(JSON.stringify(e,((t,e)=>"bigint"==typeof e?`${e}n`:e)))));var e}function sn(t){return new Me(ke.decode(t))}function on(t){return new Me(Fe(t))}function fn(t){return new Me(_e.decode(t))}function an(t){return new Me(xe(t))}class hn{constructor(t){this.data=Me.bytes(t),this.size=this.data.length}peek(t){if(t>this.size)throw new Error(`Size greater than stream: ${t} > ${this.size}`);return new Me(this.data.slice(0,t))}read(t){t=t??this.readSize();const e=this.peek(t);return this.data=this.data.slice(t),this.size=this.data.length,e}readSize(t){const e=this.read(1).num;switch(!0){case e>=0&&e<253:return e;case 253===e:return this.read(2).toNum(t);case 254===e:return this.read(4).toNum(t);case 255===e:return this.read(8).toNum(t);default:throw new Error(`Varint is out of range: ${e}`)}}}function cn(t,e,n){return new Me(t,e,n)}function un(t){if(!Number.isSafeInteger(t)||t<0)throw new Error(`Wrong positive integer: ${t}`)}function ln(t,...e){if(!(t instanceof Uint8Array))throw new Error("Expected Uint8Array");if(e.length>0&&!e.includes(t.length))throw new Error(`Expected Uint8Array of length ${e}, not of length=${t.length}`)}const dn={number:un,bool:function(t){if("boolean"!=typeof t)throw new Error(`Expected boolean, not ${t}`)},bytes:ln,hash:function(t){if("function"!=typeof t||"function"!=typeof t.create)throw new Error("Hash should be wrapped by utils.wrapConstructor");un(t.outputLen),un(t.blockLen)},exists:function(t,e=!0){if(t.destroyed)throw new Error("Hash instance has been destroyed");if(e&&t.finished)throw new Error("Hash#digest() has already been called")},output:function(t,e){ln(t);const n=e.outputLen;if(t.length<n)throw new Error(`digestInto() expects output buffer of length at least ${n}`)}};var gn=dn;
/*! noble-hashes - MIT License (c) 2022 Paul Miller (paulmillr.com) */const pn=t=>t instanceof Uint8Array,bn=t=>new DataView(t.buffer,t.byteOffset,t.byteLength),wn=(t,e)=>t<<32-e|t>>>e;if(!(68===new Uint8Array(new Uint32Array([287454020]).buffer)[0]))throw new Error("Non little-endian hardware is not supported");function yn(t){if("string"==typeof t&&(t=function(t){if("string"!=typeof t)throw new Error("utf8ToBytes expected string, got "+typeof t);return new Uint8Array((new TextEncoder).encode(t))}(t)),!pn(t))throw new Error("expected Uint8Array, got "+typeof t);return t}Array.from({length:256},((t,e)=>e.toString(16).padStart(2,"0")));class mn{clone(){return this._cloneInto()}}function xn(t){const e=e=>t().update(yn(e)).digest(),n=t();return e.outputLen=n.outputLen,e.blockLen=n.blockLen,e.create=()=>t(),e}class En extends mn{constructor(t,e,n,r){super(),this.blockLen=t,this.outputLen=e,this.padOffset=n,this.isLE=r,this.finished=!1,this.length=0,this.pos=0,this.destroyed=!1,this.buffer=new Uint8Array(t),this.view=bn(this.buffer)}update(t){gn.exists(this);const{view:e,buffer:n,blockLen:r}=this,i=(t=yn(t)).length;for(let s=0;s<i;){const o=Math.min(r-this.pos,i-s);if(o!==r)n.set(t.subarray(s,s+o),this.pos),this.pos+=o,s+=o,this.pos===r&&(this.process(e,0),this.pos=0);else{const e=bn(t);for(;r<=i-s;s+=r)this.process(e,s)}}return this.length+=t.length,this.roundClean(),this}digestInto(t){gn.exists(this),gn.output(t,this),this.finished=!0;const{buffer:e,view:n,blockLen:r,isLE:i}=this;let{pos:s}=this;e[s++]=128,this.buffer.subarray(s).fill(0),this.padOffset>r-s&&(this.process(n,0),s=0);for(let t=s;t<r;t++)e[t]=0;!function(t,e,n,r){if("function"==typeof t.setBigUint64)return t.setBigUint64(e,n,r);const i=BigInt(32),s=BigInt(4294967295),o=Number(n>>i&s),f=Number(n&s),a=r?4:0,h=r?0:4;t.setUint32(e+a,o,r),t.setUint32(e+h,f,r)}(n,r-8,BigInt(8*this.length),i),this.process(n,0);const o=bn(t),f=this.outputLen;if(f%4)throw new Error("_sha2: outputLen should be aligned to 32bit");const a=f/4,h=this.get();if(a>h.length)throw new Error("_sha2: outputLen bigger than state");for(let t=0;t<a;t++)o.setUint32(4*t,h[t],i)}digest(){const{buffer:t,outputLen:e}=this;this.digestInto(t);const n=t.slice(0,e);return this.destroy(),n}_cloneInto(t){t||(t=new this.constructor),t.set(...this.get());const{blockLen:e,buffer:n,length:r,finished:i,destroyed:s,pos:o}=this;return t.length=r,t.pos=o,t.finished=i,t.destroyed=s,r%e&&t.buffer.set(n),t}}const Bn=(t,e,n)=>t&e^t&n^e&n,vn=new Uint32Array([1116352408,1899447441,3049323471,3921009573,961987163,1508970993,2453635748,2870763221,3624381080,310598401,607225278,1426881987,1925078388,2162078206,2614888103,3248222580,3835390401,4022224774,264347078,604807628,770255983,1249150122,1555081692,1996064986,2554220882,2821834349,2952996808,3210313671,3336571891,3584528711,113926993,338241895,666307205,773529912,1294757372,1396182291,1695183700,1986661051,2177026350,2456956037,2730485921,2820302411,3259730800,3345764771,3516065817,3600352804,4094571909,275423344,430227734,506948616,659060556,883997877,958139571,1322822218,1537002063,1747873779,1955562222,2024104815,2227730452,2361852424,2428436474,2756734187,3204031479,3329325298]),An=new Uint32Array([1779033703,3144134277,1013904242,2773480762,1359893119,2600822924,528734635,1541459225]),In=new Uint32Array(64);class Sn extends En{constructor(){super(64,32,8,!1),this.A=0|An[0],this.B=0|An[1],this.C=0|An[2],this.D=0|An[3],this.E=0|An[4],this.F=0|An[5],this.G=0|An[6],this.H=0|An[7]}get(){const{A:t,B:e,C:n,D:r,E:i,F:s,G:o,H:f}=this;return[t,e,n,r,i,s,o,f]}set(t,e,n,r,i,s,o,f){this.A=0|t,this.B=0|e,this.C=0|n,this.D=0|r,this.E=0|i,this.F=0|s,this.G=0|o,this.H=0|f}process(t,e){for(let n=0;n<16;n++,e+=4)In[n]=t.getUint32(e,!1);for(let t=16;t<64;t++){const e=In[t-15],n=In[t-2],r=wn(e,7)^wn(e,18)^e>>>3,i=wn(n,17)^wn(n,19)^n>>>10;In[t]=i+In[t-7]+r+In[t-16]|0}let{A:n,B:r,C:i,D:s,E:o,F:f,G:a,H:h}=this;for(let t=0;t<64;t++){const e=h+(wn(o,6)^wn(o,11)^wn(o,25))+((c=o)&f^~c&a)+vn[t]+In[t]|0,u=(wn(n,2)^wn(n,13)^wn(n,22))+Bn(n,r,i)|0;h=a,a=f,f=o,o=s+e|0,s=i,i=r,r=n,n=e+u|0}var c;n=n+this.A|0,r=r+this.B|0,i=i+this.C|0,s=s+this.D|0,o=o+this.E|0,f=f+this.F|0,a=a+this.G|0,h=h+this.H|0,this.set(n,r,i,s,o,f,a,h)}roundClean(){In.fill(0)}destroy(){this.set(0,0,0,0,0,0,0,0),this.buffer.fill(0)}}class Un extends Sn{constructor(){super(),this.A=-1056596264,this.B=914150663,this.C=812702999,this.D=-150054599,this.E=-4191439,this.F=1750603025,this.G=1694076839,this.H=-1090891868,this.outputLen=28}}const Ln=xn((()=>new Sn));xn((()=>new Un));const Hn=BigInt(2**32-1),_n=BigInt(32);function On(t,e=!1){return e?{h:Number(t&Hn),l:Number(t>>_n&Hn)}:{h:0|Number(t>>_n&Hn),l:0|Number(t&Hn)}}var Tn={fromBig:On,split:function(t,e=!1){let n=new Uint32Array(t.length),r=new Uint32Array(t.length);for(let i=0;i<t.length;i++){const{h:s,l:o}=On(t[i],e);[n[i],r[i]]=[s,o]}return[n,r]},toBig:(t,e)=>BigInt(t>>>0)<<_n|BigInt(e>>>0),shrSH:(t,e,n)=>t>>>n,shrSL:(t,e,n)=>t<<32-n|e>>>n,rotrSH:(t,e,n)=>t>>>n|e<<32-n,rotrSL:(t,e,n)=>t<<32-n|e>>>n,rotrBH:(t,e,n)=>t<<64-n|e>>>n-32,rotrBL:(t,e,n)=>t>>>n-32|e<<64-n,rotr32H:(t,e)=>e,rotr32L:(t,e)=>t,rotlSH:(t,e,n)=>t<<n|e>>>32-n,rotlSL:(t,e,n)=>e<<n|t>>>32-n,rotlBH:(t,e,n)=>e<<n-32|t>>>64-n,rotlBL:(t,e,n)=>t<<n-32|e>>>64-n,add:function(t,e,n,r){const i=(e>>>0)+(r>>>0);return{h:t+n+(i/2**32|0)|0,l:0|i}},add3L:(t,e,n)=>(t>>>0)+(e>>>0)+(n>>>0),add3H:(t,e,n,r)=>e+n+r+(t/2**32|0)|0,add4L:(t,e,n,r)=>(t>>>0)+(e>>>0)+(n>>>0)+(r>>>0),add4H:(t,e,n,r,i)=>e+n+r+i+(t/2**32|0)|0,add5H:(t,e,n,r,i,s)=>e+n+r+i+s+(t/2**32|0)|0,add5L:(t,e,n,r,i)=>(t>>>0)+(e>>>0)+(n>>>0)+(r>>>0)+(i>>>0)};const[Nn,Cn]=Tn.split(["0x428a2f98d728ae22","0x7137449123ef65cd","0xb5c0fbcfec4d3b2f","0xe9b5dba58189dbbc","0x3956c25bf348b538","0x59f111f1b605d019","0x923f82a4af194f9b","0xab1c5ed5da6d8118","0xd807aa98a3030242","0x12835b0145706fbe","0x243185be4ee4b28c","0x550c7dc3d5ffb4e2","0x72be5d74f27b896f","0x80deb1fe3b1696b1","0x9bdc06a725c71235","0xc19bf174cf692694","0xe49b69c19ef14ad2","0xefbe4786384f25e3","0x0fc19dc68b8cd5b5","0x240ca1cc77ac9c65","0x2de92c6f592b0275","0x4a7484aa6ea6e483","0x5cb0a9dcbd41fbd4","0x76f988da831153b5","0x983e5152ee66dfab","0xa831c66d2db43210","0xb00327c898fb213f","0xbf597fc7beef0ee4","0xc6e00bf33da88fc2","0xd5a79147930aa725","0x06ca6351e003826f","0x142929670a0e6e70","0x27b70a8546d22ffc","0x2e1b21385c26c926","0x4d2c6dfc5ac42aed","0x53380d139d95b3df","0x650a73548baf63de","0x766a0abb3c77b2a8","0x81c2c92e47edaee6","0x92722c851482353b","0xa2bfe8a14cf10364","0xa81a664bbc423001","0xc24b8b70d0f89791","0xc76c51a30654be30","0xd192e819d6ef5218","0xd69906245565a910","0xf40e35855771202a","0x106aa07032bbd1b8","0x19a4c116b8d2d0c8","0x1e376c085141ab53","0x2748774cdf8eeb99","0x34b0bcb5e19b48a8","0x391c0cb3c5c95a63","0x4ed8aa4ae3418acb","0x5b9cca4f7763e373","0x682e6ff3d6b2b8a3","0x748f82ee5defb2fc","0x78a5636f43172f60","0x84c87814a1f0ab72","0x8cc702081a6439ec","0x90befffa23631e28","0xa4506cebde82bde9","0xbef9a3f7b2c67915","0xc67178f2e372532b","0xca273eceea26619c","0xd186b8c721c0c207","0xeada7dd6cde0eb1e","0xf57d4f7fee6ed178","0x06f067aa72176fba","0x0a637dc5a2c898a6","0x113f9804bef90dae","0x1b710b35131c471b","0x28db77f523047d84","0x32caab7b40c72493","0x3c9ebe0a15c9bebc","0x431d67c49c100d4c","0x4cc5d4becb3e42b6","0x597f299cfc657e2a","0x5fcb6fab3ad6faec","0x6c44198c4a475817"].map((t=>BigInt(t)))),Rn=new Uint32Array(80),kn=new Uint32Array(80);class $n extends En{constructor(){super(128,64,16,!1),this.Ah=1779033703,this.Al=-205731576,this.Bh=-1150833019,this.Bl=-2067093701,this.Ch=1013904242,this.Cl=-23791573,this.Dh=-1521486534,this.Dl=1595750129,this.Eh=1359893119,this.El=-1377402159,this.Fh=-1694144372,this.Fl=725511199,this.Gh=528734635,this.Gl=-79577749,this.Hh=1541459225,this.Hl=327033209}get(){const{Ah:t,Al:e,Bh:n,Bl:r,Ch:i,Cl:s,Dh:o,Dl:f,Eh:a,El:h,Fh:c,Fl:u,Gh:l,Gl:d,Hh:g,Hl:p}=this;return[t,e,n,r,i,s,o,f,a,h,c,u,l,d,g,p]}set(t,e,n,r,i,s,o,f,a,h,c,u,l,d,g,p){this.Ah=0|t,this.Al=0|e,this.Bh=0|n,this.Bl=0|r,this.Ch=0|i,this.Cl=0|s,this.Dh=0|o,this.Dl=0|f,this.Eh=0|a,this.El=0|h,this.Fh=0|c,this.Fl=0|u,this.Gh=0|l,this.Gl=0|d,this.Hh=0|g,this.Hl=0|p}process(t,e){for(let n=0;n<16;n++,e+=4)Rn[n]=t.getUint32(e),kn[n]=t.getUint32(e+=4);for(let t=16;t<80;t++){const e=0|Rn[t-15],n=0|kn[t-15],r=Tn.rotrSH(e,n,1)^Tn.rotrSH(e,n,8)^Tn.shrSH(e,n,7),i=Tn.rotrSL(e,n,1)^Tn.rotrSL(e,n,8)^Tn.shrSL(e,n,7),s=0|Rn[t-2],o=0|kn[t-2],f=Tn.rotrSH(s,o,19)^Tn.rotrBH(s,o,61)^Tn.shrSH(s,o,6),a=Tn.rotrSL(s,o,19)^Tn.rotrBL(s,o,61)^Tn.shrSL(s,o,6),h=Tn.add4L(i,a,kn[t-7],kn[t-16]),c=Tn.add4H(h,r,f,Rn[t-7],Rn[t-16]);Rn[t]=0|c,kn[t]=0|h}let{Ah:n,Al:r,Bh:i,Bl:s,Ch:o,Cl:f,Dh:a,Dl:h,Eh:c,El:u,Fh:l,Fl:d,Gh:g,Gl:p,Hh:b,Hl:w}=this;for(let t=0;t<80;t++){const e=Tn.rotrSH(c,u,14)^Tn.rotrSH(c,u,18)^Tn.rotrBH(c,u,41),y=Tn.rotrSL(c,u,14)^Tn.rotrSL(c,u,18)^Tn.rotrBL(c,u,41),m=c&l^~c&g,x=u&d^~u&p,E=Tn.add5L(w,y,x,Cn[t],kn[t]),B=Tn.add5H(E,b,e,m,Nn[t],Rn[t]),v=0|E,A=Tn.rotrSH(n,r,28)^Tn.rotrBH(n,r,34)^Tn.rotrBH(n,r,39),I=Tn.rotrSL(n,r,28)^Tn.rotrBL(n,r,34)^Tn.rotrBL(n,r,39),S=n&i^n&o^i&o,U=r&s^r&f^s&f;b=0|g,w=0|p,g=0|l,p=0|d,l=0|c,d=0|u,({h:c,l:u}=Tn.add(0|a,0|h,0|B,0|v)),a=0|o,h=0|f,o=0|i,f=0|s,i=0|n,s=0|r;const L=Tn.add3L(v,I,U);n=Tn.add3H(L,B,A,S),r=0|L}({h:n,l:r}=Tn.add(0|this.Ah,0|this.Al,0|n,0|r)),({h:i,l:s}=Tn.add(0|this.Bh,0|this.Bl,0|i,0|s)),({h:o,l:f}=Tn.add(0|this.Ch,0|this.Cl,0|o,0|f)),({h:a,l:h}=Tn.add(0|this.Dh,0|this.Dl,0|a,0|h)),({h:c,l:u}=Tn.add(0|this.Eh,0|this.El,0|c,0|u)),({h:l,l:d}=Tn.add(0|this.Fh,0|this.Fl,0|l,0|d)),({h:g,l:p}=Tn.add(0|this.Gh,0|this.Gl,0|g,0|p)),({h:b,l:w}=Tn.add(0|this.Hh,0|this.Hl,0|b,0|w)),this.set(n,r,i,s,o,f,a,h,c,u,l,d,g,p,b,w)}roundClean(){Rn.fill(0),kn.fill(0)}destroy(){this.buffer.fill(0),this.set(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)}}class Fn extends $n{constructor(){super(),this.Ah=-1942145080,this.Al=424955298,this.Bh=1944164710,this.Bl=-1982016298,this.Ch=502970286,this.Cl=855612546,this.Dh=1738396948,this.Dl=1479516111,this.Eh=258812777,this.El=2077511080,this.Fh=2011393907,this.Fl=79989058,this.Gh=1067287976,this.Gl=1780299464,this.Hh=286451373,this.Hl=-1848208735,this.outputLen=28}}class Dn extends $n{constructor(){super(),this.Ah=573645204,this.Al=-64227540,this.Bh=-1621794909,this.Bl=-934517566,this.Ch=596883563,this.Cl=1867755857,this.Dh=-1774684391,this.Dl=1497426621,this.Eh=-1775747358,this.El=-1467023389,this.Fh=-1101128155,this.Fl=1401305490,this.Gh=721525244,this.Gl=746961066,this.Hh=246885852,this.Hl=-2117784414,this.outputLen=32}}class qn extends $n{constructor(){super(),this.Ah=-876896931,this.Al=-1056596264,this.Bh=1654270250,this.Bl=914150663,this.Ch=-1856437926,this.Cl=812702999,this.Dh=355462360,this.Dl=-150054599,this.Eh=1731405415,this.El=-4191439,this.Fh=-1900787065,this.Fl=1750603025,this.Gh=-619958771,this.Gl=1694076839,this.Hh=1203062813,this.Hl=-1090891868,this.outputLen=48}}const Pn=xn((()=>new $n));xn((()=>new Fn)),xn((()=>new Dn)),xn((()=>new qn));const zn=new Uint8Array([7,4,13,1,10,6,15,3,12,0,9,5,2,14,11,8]),Vn=Uint8Array.from({length:16},((t,e)=>e)),jn=Vn.map((t=>(9*t+5)%16));let Gn=[Vn],Zn=[jn];for(let t=0;t<4;t++)for(let e of[Gn,Zn])e.push(e[t].map((t=>zn[t])));const Yn=[[11,14,15,12,5,8,7,9,11,13,14,15,6,7,9,8],[12,13,11,15,6,9,9,7,12,15,11,13,7,8,7,7],[13,15,14,11,7,7,6,8,13,14,13,12,5,5,6,9],[14,11,12,14,8,6,5,5,15,12,15,14,9,9,8,6],[15,12,13,13,9,5,8,6,14,11,12,11,8,6,5,5]].map((t=>new Uint8Array(t))),Kn=Gn.map(((t,e)=>t.map((t=>Yn[e][t])))),Wn=Zn.map(((t,e)=>t.map((t=>Yn[e][t])))),Mn=new Uint32Array([0,1518500249,1859775393,2400959708,2840853838]),Jn=new Uint32Array([1352829926,1548603684,1836072691,2053994217,0]),Xn=(t,e)=>t<<e|t>>>32-e;function Qn(t,e,n,r){return 0===t?e^n^r:1===t?e&n|~e&r:2===t?(e|~n)^r:3===t?e&r|n&~r:e^(n|~r)}const tr=new Uint32Array(16);class er extends En{constructor(){super(64,20,8,!0),this.h0=1732584193,this.h1=-271733879,this.h2=-1732584194,this.h3=271733878,this.h4=-1009589776}get(){const{h0:t,h1:e,h2:n,h3:r,h4:i}=this;return[t,e,n,r,i]}set(t,e,n,r,i){this.h0=0|t,this.h1=0|e,this.h2=0|n,this.h3=0|r,this.h4=0|i}process(t,e){for(let n=0;n<16;n++,e+=4)tr[n]=t.getUint32(e,!0);let n=0|this.h0,r=n,i=0|this.h1,s=i,o=0|this.h2,f=o,a=0|this.h3,h=a,c=0|this.h4,u=c;for(let t=0;t<5;t++){const e=4-t,l=Mn[t],d=Jn[t],g=Gn[t],p=Zn[t],b=Kn[t],w=Wn[t];for(let e=0;e<16;e++){const r=Xn(n+Qn(t,i,o,a)+tr[g[e]]+l,b[e])+c|0;n=c,c=a,a=0|Xn(o,10),o=i,i=r}for(let t=0;t<16;t++){const n=Xn(r+Qn(e,s,f,h)+tr[p[t]]+d,w[t])+u|0;r=u,u=h,h=0|Xn(f,10),f=s,s=n}}this.set(this.h1+o+h|0,this.h2+a+u|0,this.h3+c+r|0,this.h4+n+s|0,this.h0+i+f|0)}roundClean(){tr.fill(0)}destroy(){this.destroyed=!0,this.buffer.fill(0),this.set(0,0,0,0,0)}}const nr=xn((()=>new er));class rr extends mn{constructor(t,e){super(),this.finished=!1,this.destroyed=!1,gn.hash(t);const n=yn(e);if(this.iHash=t.create(),"function"!=typeof this.iHash.update)throw new Error("Expected instance of class which extends utils.Hash");this.blockLen=this.iHash.blockLen,this.outputLen=this.iHash.outputLen;const r=this.blockLen,i=new Uint8Array(r);i.set(n.length>r?t.create().update(n).digest():n);for(let t=0;t<i.length;t++)i[t]^=54;this.iHash.update(i),this.oHash=t.create();for(let t=0;t<i.length;t++)i[t]^=106;this.oHash.update(i),i.fill(0)}update(t){return gn.exists(this),this.iHash.update(t),this}digestInto(t){gn.exists(this),gn.bytes(t,this.outputLen),this.finished=!0,this.iHash.digestInto(t),this.oHash.update(t),this.oHash.digestInto(t),this.destroy()}digest(){const t=new Uint8Array(this.oHash.outputLen);return this.digestInto(t),t}_cloneInto(t){t||(t=Object.create(Object.getPrototypeOf(this),{}));const{oHash:e,iHash:n,finished:r,destroyed:i,blockLen:s,outputLen:o}=this;return t.finished=r,t.destroyed=i,t.blockLen=s,t.outputLen=o,t.oHash=e._cloneInto(t.oHash),t.iHash=n._cloneInto(t.iHash),t}destroy(){this.destroyed=!0,this.oHash.destroy(),this.iHash.destroy()}}const ir=(t,e,n)=>new rr(t,e).update(n).digest();function sr(t){const e=Me.bytes(t);return Me.raw(Ln(e))}function or(t){const e=Me.bytes(t);return Me.raw(Pn(e))}function fr(t){const e=Me.bytes(t);return Me.raw(Pn(e))}function ar(t){const e=Me.bytes(t);return Me.raw(Ln(Ln(e)))}function hr(t){const e=Me.bytes(t);return Me.raw(nr(Ln(e)))}function cr(t,e){const n=Me.bytes(t),r=Me.bytes(e);return Me.raw(ir(Ln,n,r))}function ur(t,e){const n=Me.bytes(t),r=Me.bytes(e);return Me.raw(ir(Pn,n,r))}function lr(t){const e=Me.str(t).digest;return Me.join([e,e])}function dr(t,...e){const n=lr(t);return Me.join([n,...e]).digest}ir.create=(t,e)=>new rr(t,e);const gr=Lt.CURVE,pr=gr.n,br=gr.p,wr={x:gr.Gx,y:gr.Gy},yr=BigInt(0),mr=BigInt(1),xr=BigInt(2),Er=BigInt(3),Br=BigInt(4),vr={N:pr,P:br,G:wr,_0n:yr,_1n:mr,_2n:xr,_3n:Er,_4n:Br},Ar=it(pr,32,!0),Ir=t=>M(t,pr);var Sr=Object.freeze({__proto__:null,CONST:vr,curve:gr,ecc:Ar,in_field:t=>"bigint"==typeof t&&yr<t&&t<pr,invert:Q,mod:M,modN:Ir,modP:t=>M(t,br),mod_bytes:function(t){const e=Me.bytes(t).big;return Me.big(Ir(e),32)},on_curve:t=>"bigint"==typeof t&&yr<t&&t<br,pow:J,pow2:X,powN:(t,e)=>J(t,e,pr)});function Ur(t){return Me.random(t)}function Lr(t){const e=Me.bytes(t);if(32===e.length)return e;if(33===e.length)return e.slice(1,33);throw new TypeError(`Invalid key length: ${e.length}`)}function Hr(t,e=!1){const n=Me.bytes(t);if(32===n.length)return n.prepend(2);if(33===n.length)return e&&(n[0]=2),n;throw new TypeError(`Invalid key size: ${n.length}`)}var _r=Object.freeze({__proto__:null,increment_buffer:function(t){let e=t.length-1;for(;e>=0;e--)if(t[e]<255)return t.set([t[e]+1],e),t;throw TypeError("Unable to increment buffer: "+t.toString())},normalize_x:Hr,parse_extended_key:function(t){const e=Me.b58chk(t).stream,n={prefix:e.read(4).num,depth:e.read(1).num,fprint:e.read(4).num,index:e.read(4).num,code:e.read(32).hex,type:e.read(1).num,key:e.read(32).hex};if(e.size>0)throw new TypeError("Unparsed data remaining in buffer!");return n},parse_x:Lr,random:Ur});const{_1n:Or}=vr,Tr=Lt.ProjectivePoint,Nr=Tr;function Cr(t){return new Tr(t.x,t.y,Or).hasEvenY()}function Rr(t){return"object"==typeof t&&"bigint"==typeof t.x&&"bigint"==typeof t.y}function kr(t){if(!Rr(t))return!1;const e=new Tr(t.x,t.y,Or);try{return e.assertValidity(),!0}catch{return!1}}var $r=Object.freeze({__proto__:null,Noble:Nr,add:function(t,e){if(null===t)return e;if(null===e)return t;const n=new Tr(t.x,t.y,Or),r=new Tr(e.x,e.y,Or);try{const t=n.add(r);return t.assertValidity(),{x:t.x,y:t.y}}catch{return null}},eq:function(t,e){return null===t&&null===e||null!==t&&null!==e&&(t.x===e.x&&t.y===e.y)},gen:function(t){const e=Me.bytes(t),n=Tr.BASE.multiply(e.big);return n.assertValidity(),{x:n.x,y:n.y}},is_even:Cr,is_point:Rr,is_valid:kr,lift_x:function(t,e=!1){const n=Hr(t,e),r=Tr.fromHex(n.hex);return r.assertValidity(),{x:r.x,y:r.y}},mul:function(t,e){if(null===t)return null;try{const n=Me.bytes(e),r=new Tr(t.x,t.y,Or).multiply(n.big);return r.assertValidity(),{x:r.x,y:r.y}}catch{return null}},negate:function(t){const e=new Tr(t.x,t.y,Or);try{const t=e.negate();return t.assertValidity(),{x:t.x,y:t.y}}catch{return null}},sub:function(t,e){if(null===t)return e;if(null===e)return t;const n=new Tr(t.x,t.y,Or),r=new Tr(e.x,e.y,Or);try{const t=n.subtract(r);return t.assertValidity(),{x:t.x,y:t.y}}catch{return null}},to_bytes:function(t){const e=Me.big(t.x,32),n=Cr(t)?2:3;return Me.join([n,e])}});const{N:Fr,P:Dr,_0n:qr}=vr;function Pr(t,e=!1){if(e)throw new Error(t);return!1}function zr(t,e,n){const r=Me.bytes(t);return r.length===e||Pr(`Invalid byte size: ${r.hex} !== ${e}`,n)}function Vr(t,e){return"bigint"==typeof t&&qr<t&&t<Dr||Pr("x value is not on the curve!",e),!0}function jr(t,e){return"bigint"==typeof t&&qr<t&&t<Fr||Pr("x value is not in the field!",e),!0}function Gr(t,e){if(void 0===e){if(!t.startsWith("m"))throw new Error("You need to specify a chain-code for a non-root path.")}else if(32!==Me.bytes(e).length)throw new Error("Chain code must be 32 bytes!")}function Zr(t){if(null===t.match(/^(m)?(\/)?(\w+'?\/)*\w+'?$/))throw new Error("Provided path string is invalid: "+t)}function Yr(t){if(t>2147483648)throw new TypeError("Index value must not exceed 31 bits.")}function Kr(t,e){if(t&&!e)throw new Error("Cannot derive hardedened paths when is_private is false!")}var Wr=Object.freeze({__proto__:null,exists:function(t){if(void 0===t)throw new TypeError("Input is undefined!")},fail:Pr,in_field:jr,min_value:function(t,e){const n=Me.bytes(t).big;if(n<e)throw new TypeError(`Bytes integer value is too low: ${n} < ${e}`)},on_curve:Vr,size:zr,valid_chain:Gr,valid_derive_state:Kr,valid_hash:function(t){if(null===t.match(/^[0-9a-fA-F]{64}$/))throw new Error("Provided hash string is invalid: "+t)},valid_index:Yr,valid_path:Zr,valid_point:function(t){if(!kr(t))throw new TypeError("Point is invalid!")},valid_pubkey:function(t){if(33!==Me.bytes(t).length)throw new TypeError("Index value must not exceed 31 bits.")}});const Mr=Lt.ProjectivePoint;class Jr extends Uint8Array{static{this.N=Lt.CURVE.n}static mod(t){return new Jr(t)}static is_valid(t,e){return jr(Me.bytes(t,32).big,e)}constructor(t){let e=function(t){if(t instanceof Jr)return t.big;if(t instanceof Xr)return t.x.big;if(t instanceof Uint8Array)return Me.raw(t).big;if("string"==typeof t)return Me.hex(t).big;if("number"==typeof t)return Me.num(t).big;if("bigint"==typeof t)return BigInt(t);throw TypeError("Invalid input type:"+typeof t)}(t);e=Ir(e),Jr.is_valid(e,!0),super(Me.big(e,32),32)}get buff(){return new Me(this)}get raw(){return this.buff.raw}get big(){return this.buff.big}get hex(){return this.buff.hex}get point(){return this.generate()}get hasOddY(){return this.point.hasOddY}get negated(){return this.hasOddY?this.negate():this}gt(t){return new Jr(t).big>this.big}lt(t){return new Jr(t).big<this.big}eq(t){return new Jr(t).big===this.big}ne(t){return new Jr(t).big!==this.big}add(t){const e=Jr.mod(t),n=Ar.add(this.big,e.big);return new Jr(n)}sub(t){const e=Jr.mod(t),n=Ar.sub(this.big,e.big);return new Jr(n)}mul(t){const e=Jr.mod(t),n=Ar.mul(this.big,e.big);return new Jr(n)}pow(t){const e=Jr.mod(t),n=Ar.pow(this.big,e.big);return new Jr(n)}div(t){const e=Jr.mod(t),n=Ar.div(this.big,e.big);return new Jr(n)}negate(){return new Jr(Jr.N-this.big)}generate(){const t=Lt.ProjectivePoint.BASE.multiply(this.big);return Xr.import(t)}}class Xr{static{this.P=vr.P}static{this.G=vr.G}static{this.curve=Lt.CURVE}static{this.base=Lt.ProjectivePoint.BASE}static from_x(t){let e=function(t){if(t instanceof Jr)return t.point.buff;if(t instanceof Xr)return t.buff;if(t instanceof Uint8Array||"string"==typeof t)return Me.bytes(t);if("number"==typeof t||"bigint"==typeof t)return Me.bytes(t,32);throw new TypeError("Unknown type: "+typeof t)}(t);32===e.length&&(e=e.prepend(2)),zr(e,33);const n=Mr.fromHex(e.hex);return n.assertValidity(),new Xr(n.x,n.y)}static generate(t){const e=Jr.mod(t),n=Xr.base.multiply(e.big);return Xr.import(n)}static import(t){const e=t instanceof Xr?{x:t.x.big,y:t.y.big}:{x:t.x,y:t.y};return new Xr(e.x,e.y)}constructor(t,e){this._p=new Mr(t,e,1n),this.p.assertValidity()}get p(){return this._p}get x(){return Me.big(this.p.x,32)}get y(){return Me.big(this.p.y,32)}get buff(){return Me.raw(this.p.toRawBytes(!0))}get raw(){return this.buff.raw}get hex(){return this.buff.hex}get hasEvenY(){return this.p.hasEvenY()}get hasOddY(){return!this.p.hasEvenY()}eq(t){const e=t instanceof Xr?t:Xr.from_x(t);return this.x.big===e.x.big&&this.y.big===e.y.big}add(t){return t instanceof Xr?Xr.import(this.p.add(t.p)):Xr.import(this.p.add(Xr.generate(t).p))}sub(t){return t instanceof Xr?Xr.import(this.p.subtract(t.p)):Xr.import(this.p.subtract(Xr.generate(t).p))}mul(t){return t instanceof Xr?Xr.import(this.p.multiply(t.x.big)):Xr.import(this.p.multiply(Jr.mod(t).big))}negate(){return Xr.import(this.p.negate())}}function Qr(t,e=!1){const n=Jr.mod(t);return e?n.negated.buff:n.buff}function ti(t,e=!1){const n=Jr.mod(t).point;return e?n.x:n.buff}function ei(t,e,n){const r=Qr(t,n);return[r,ti(r,e)]}var ni=Object.freeze({__proto__:null,gen_keypair:function(t,e){return ei(Ur(32),t,e)},gen_seckey:function(t){return Qr(Ur(32),t)},get_keypair:ei,get_pubkey:ti,get_seckey:Qr,is_even_pub:function(t){const e=Me.bytes(t);switch(!0){case 32===e.length:case 33===e.length&&2===e[0]:return!0;case 33===e.length&&3===e[0]:return!1;default:throw new TypeError(`Invalid public key: ${e.hex}`)}}});const ri=/^[0-9]{0,10}$/,ii=/^[0-9a-zA-Z_&?=]{64}$/;function si(t,e){const n=ur(t,e);return[n.slice(0,32),n.slice(32)]}const oi={aux:Me.random(32),throws:!1,xonly:!0},fi={xonly:!1,even_y:!1,tag:"ecdh/shared"};function ai(t={}){return{...oi,...t}}function hi(t={}){return{...fi,...t}}function ci(t,e,n){const r=hi(n),i=Qr(t,r.even_y),s=ti(i,r.xonly),o=lr(r.tag),f=Me.bytes(e),a=function(t,e){const n=Xr.from_x(e),r=Jr.mod(t);return n.mul(r).buff}(i,f),h=[s.hex,f.hex];if(h.sort(),void 0!==r.aux){const t=Me.bytes(r.aux);h.push(t.hex)}return ur(a,Me.join([o,...h]))}const{_0n:ui}=vr;var li=Object.freeze({__proto__:null,recover:function(t,e,n,r){const i=Me.bytes(t),s=Me.bytes(e),o=Me.bytes(n),f=dr("BIP0340/nonce",ci(r,n,{tag:"ecdh/recovery"}),e),a=dr("BIP0340/challenge",i.slice(0,32),Lr(o),s),h=new Jr(a),c=new Jr(f).negated;return new Jr(i.slice(32,64)).sub(c).div(h).buff},sign:function(t,e,n){const r=ai(n),{adaptor:i,tweak:s,xonly:o}=r,f=Me.bytes(t);let a=Jr.mod(e);void 0!==s&&(o&&(a=a.negated),a=a.add(s));const h=a.point,c=o?a.negated.big:a.big,u=function(t,e,n,r){const{aux:i,nonce:s,recovery:o}=ai(r);let f;if(void 0!==s)f=Me.bytes(s);else if(void 0!==o)f=ci(t,o,{tag:"ecdh/recovery"});else{const n=dr("BIP0340/aux",i),r=Me.bytes(t).big^n.big;f=Me.join([r,e])}return dr("BIP0340/nonce",f,Me.bytes(n))}(Me.big(c,32),h.x,f,n);let l=Jr.mod(u);void 0!==i&&(o&&(l=l.negated),l=l.add(i));const d=l.point,g=o?l.negated.big:l.big,p=dr("BIP0340/challenge",d.x.raw,h.x.raw,f),b=Jr.mod(p),w=Jr.mod(g+b.big*c),y=o?d.x.raw:d.raw;return Me.join([y,w.raw])},verify:function(t,e,n,r){const{throws:i}=ai(r),s=Me.bytes(e),o=Me.bytes(t);if(o.length<64)return Pr("Signature length is too small: "+String(o.length),i);zr(n,32);const f=Xr.from_x(n),a=o.subarray(0,32),h=Xr.from_x(a),c=o.subarray(32,64),u=Jr.mod(c).point,l=dr("BIP0340/challenge",h.x,f.x,s),d=Jr.mod(l),g=f.mul(d.big),p=u.sub(g);return h.hasOddY?Pr("Signature R value has odd Y coordinate!",i):h.x.big===ui?Pr("Signature R value is infinite!",i):h.x.big!==p.x.big?Pr(`Signature is invalid! R: ${h.x.hex} r:${p.x.hex}`,i):h.x.big===p.x.big}});const di={secp:Lt,schnorr:jt},gi={...ni,...li,derive:function(t,e,n,r=!1){Zr(t);const i=t.startsWith("m");Gr(t,n);let s=void 0!==n?Me.bytes(n):Me.str("Bitcoin seed"),o=Me.bytes(e);if(i){const t=si(s,o);o=Me.raw(t[0]),s=Me.raw(t[1]),r=!0}r?zr(o,32,!0):(33===o.length&&(o=o.slice(1)),zr(o,33));const f=function(t){const e=[];let n=t.split("/");"m"!==n[0]&&""!==n[0]||(n=n.slice(1));for(let t of n){let n=!1;if("'"===t.slice(-1)&&(n=!0,t=t.slice(0,-1)),null!==t.match(ri)){let r=parseInt(t,10);Yr(r),n&&(r+=2147483648),e.push([Me.num(r,4),n])}else{if(null===t.match(ii))throw new Error("Invalid path segment:"+t);{let r=Me.str(t);n&&(r=r.prepend(128)),e.push([r.digest,n])}}}return e}(t);for(const t of f){const[e,n]=t;Kr(n,r);const i=n?Me.join([0,o,e]):Me.join([ti(o),e]),[f,a]=si(s,i);s=Me.raw(a),r?(o=Jr.mod(o).add(f).buff,jr(o.big,!0)):(o=Xr.from_x(o).add(f).buff,Vr(o.slice(1).big))}return[o,s]},parse_x:Lr,normalize_x:Hr};return t.Field=Jr,t.Point=Xr,t.SHARED_DEFAULTS=fi,t.SIGNER_DEFAULTS=oi,t.assert=Wr,t.digest=dr,t.ecc=gi,t.hash=function(t,e="sha256"){switch(e){case"sha256":return sr(t);case"sha512":return or(t);case"hash256":return ar(t);case"ripe160":return fr(t);case"hash160":return hr(t);default:throw new Error("Unrecognized format:"+String(e))}},t.hash160=hr,t.hash256=ar,t.hmac=function(t,e,n="hmac256"){switch(n){case"hmac256":return cr(t,e);case"hmac512":return ur(t,e);default:throw new Error("Unrecognized format:"+String(n))}},t.hmac256=cr,t.hmac512=ur,t.math=Sr,t.noble=di,t.point=$r,t.ripe160=fr,t.sha256=sr,t.sha512=or,t.shared_defaults=hi,t.signer_defaults=ai,t.taghash=lr,t.util=_r,t}({});
//# sourceMappingURL=browser.js.map
